<?php /*
Plugin Name:    Daze Custom Login Page
Description:    Custom login page for wp-admin
Version:		1.0
Author:         NordWood Themes
Author URI:		http://nordwoodthemes.com/
Text Domain:	daze-custom-login-page
*/

	if ( ! function_exists( 'daze_admin_fonts_url' ) ) :
		function daze_admin_fonts_url() {
			$fonts_url = '';
			
		/* Translators: If there are characters in your language that are not
		* supported by Raleway, translate this to 'off'. Do not translate
		* into your own language.
		*/			
			$raleway = esc_attr_x( 'on', 'Raleway font: on or off', 'daze-custom-login-page' );
 
			if ( 'off' !== $raleway ) {
				$fonts_url = add_query_arg( 'family', rawurlencode( 'Raleway:400,500,600,700&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
			}
			
			return esc_url_raw( $fonts_url );
		}
	endif;

	if ( ! function_exists( 'daze_login_page' ) ) :
		function daze_login_page() {
			wp_enqueue_style( 'daze_login_page', plugins_url( '/css/login.css' , __FILE__ ) );
			wp_register_script(
				'daze_login_page',
				plugins_url( '/js/login.js' , __FILE__ ),
				array('jquery'),
				'',
				true
			);
			
			wp_enqueue_style( 'daze-admin-fonts', daze_admin_fonts_url(), array(), null );
			
			$nordwood_logo = plugin_dir_url( __FILE__ ) . 'img/nordwood/nordwood.png';
						
			$customloginpage = array(
				'nordwood_logo' => esc_url_raw( $nordwood_logo )
			);
			wp_localize_script( 'daze_login_page', 'customloginpage', $customloginpage );
			wp_enqueue_script( 'daze_login_page' );
		}
	endif;	
	add_action('login_enqueue_scripts', 'daze_login_page');
		
	function daze_admin_logo_url() {
		return esc_url( "http://nordwoodthemes.com/" );
	}
	add_filter( 'login_headerurl', 'daze_admin_logo_url' );

	function daze_admin_logo_url_title() {
		return esc_attr__( 'Daze Theme, by NordWood Themes', 'daze' );
	}
	add_filter( 'login_headertitle', 'daze_admin_logo_url_title' );
?>