<?php
/* ==========================================================================
	Color scheme customizer
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */

/*  Main color
   ========================================================================== */
    $wp_customize->add_setting( 'daze_theme_color', array(
        'default'           => '#ff2955',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'type'				=> 'theme_mod' 
    )); 
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'daze_theme_color', array(
        'label'    => esc_html__( 'Main color', 'daze' ),
        'section'  => 'colors',
        'settings' => 'daze_theme_color'
    )));

/*	Holder styles
   ========================================================================== */
	$wp_customize->add_setting( 'daze_bgr_pattern', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'type'				=> 'theme_mod'
	));	 
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'daze_bgr_pattern', array(
		'label'			=> esc_html__( 'Holder pattern', 'daze' ),
		'description' 	=> esc_html__( 'It will be used as background in the search area, on Pinterest list and also in the posts slider, if no image is uploaded.', 'daze' ),
		'section'  		=> 'colors',
		'settings' 		=> 'daze_bgr_pattern'
	)));
	
// Holder color
    $wp_customize->add_setting( 'daze_bgr_pattern_color', array(
        'default'           => '#111',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'type'				=> 'theme_mod',
 
    )); 
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'daze_bgr_pattern_color', array(
        'label'				=> esc_html__( 'Holder color', 'daze' ),
        'description'    	=> esc_html__( 'It will be used if no image pattern is uploaded.', 'daze' ),
        'section'  			=> 'colors',
        'settings' 			=> 'daze_bgr_pattern_color'
    )));
	
// Holder text color
    $wp_customize->add_setting( 'daze_bgr_pattern_text', array(
        'default'           => '#fff',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
        'type'				=> 'theme_mod'
 
    )); 
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'daze_bgr_pattern_text', array(
        'label'    => esc_html__( 'Search text color', 'daze' ),
        'section'  => 'colors',
        'settings' => 'daze_bgr_pattern_text'
    )));
?>