<?php
/* ==========================================================================
	Customizer
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */

/*	CUSTOM HTML FOR CUSTOMIZER
   ========================================================================== */
	if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Daze_Customizer_Custom_HTML' ) ) :
		class Daze_Customizer_Custom_HTML extends WP_Customize_Control {
			public $content = '';
			public function render_content() {
				if ( isset( $this->label ) ) {
					printf(
						'<span class="customize-control-title"><h3>%s</h3></span>',
						esc_html($this->label)
					);
				}
				
				if ( isset( $this->description ) ) {
					printf(
						'<span class="customize-control-description">%s</span>',
						esc_html($this->description)
					);
				}
			}
		}
	endif;	

/*	SECTIONS
   ========================================================================== */  
	if ( !function_exists( 'daze_customizer' ) ) : 
		function daze_customizer( $wp_customize ) {
			$wp_customize->get_section( 'static_front_page' )->title = esc_html__( 'Static front page', 'daze' );
			
		// Site identity
			$wp_customize->get_section( 'title_tagline' )->priority = 1;
			$wp_customize->get_section( 'title_tagline' )->title = esc_html__( 'Site identity', 'daze' );
			$wp_customize->remove_control( 'display_header_text' );
			include_once( get_template_directory() . '/admin/customizer/site_identity.php' );
			
		// Blog layout
			$wp_customize->add_section( 'daze_blog_layout', array(
				'title'    => esc_html__( 'Daze blog layout', 'daze' ),
				'priority' => 2
			));	
			include_once( get_template_directory() . '/admin/customizer/blog_layout.php' );
			
		// Archives layout
			$wp_customize->add_section( 'daze_archives_layout', array(
				'title'    => esc_html__( 'Daze archives layouts', 'daze' ),
				'priority' => 3
			));	
			include_once( get_template_directory() . '/admin/customizer/archives_layout.php' );
			
		// Special boxes
			$wp_customize->add_section( 'daze_special_boxes', array(
				'title'			=> esc_html__( 'Daze special boxes', 'daze' ),
				'description'	=> esc_html__( 'Important: Available only on Pinterest/Masonry list', 'daze' ),
				'priority'		=> 4
			));	
			include_once( get_template_directory() . '/admin/customizer/special_boxes.php' );
			
		// Single Posts
			$wp_customize->add_section( 'daze_single_posts', array(
				'title'    => esc_html__( 'Daze single posts', 'daze' ),
				'priority' => 5
			));	
			include_once( get_template_directory() . '/admin/customizer/single_posts.php' );
			
		// Posts Slider
			$wp_customize->add_section( 'daze_posts_slider', array(
				'title'    => esc_html__( 'Daze posts slider', 'daze' ),
				'priority' => 6
			));	
			include_once( get_template_directory() . '/admin/customizer/posts_slider.php' );
			
		// Color scheme
			$wp_customize->get_section( 'colors' )->title = esc_html__( 'Color scheme', 'daze' );
			$wp_customize->get_control( 'header_textcolor' )->label = esc_html__( 'Header text color', 'daze' );
			$wp_customize->get_control( 'background_color' )->label = esc_html__( 'Background color', 'daze' );			
			$wp_customize->remove_section( 'background_image' );
			$wp_customize->remove_section( 'header_image' );
			include_once( get_template_directory() . '/admin/customizer/color_scheme.php' );
			
		// Social profiles and sharing options
			$wp_customize->add_section( 'daze_social_sharing', array(
				'title'    => esc_html__( 'My social profiles', 'daze' ),
				'priority' => 7
			));	
			include_once( get_template_directory() . '/admin/customizer/social_sharing.php' );
			
		// Miscellaneous
			$wp_customize->add_section( 'daze_misc', array(
				'title'    => esc_html__( 'Daze miscellaneous', 'daze' ),
				'priority' => 8
			));	
			include_once( get_template_directory() . '/admin/customizer/misc.php' );			
		}
	endif;
 
	add_action( 'customize_register', 'daze_customizer' );	

/*	CALLBACKS
   ========================================================================== */
// Posts Slider
	if ( !function_exists( 'daze_control_nwps' ) ) :
		function daze_control_nwps($control) {
			if( $control->manager->get_setting( 'daze_nwps_on' )->value() === true ) {
				return true;
			}
			return false;
		}
	endif;
	
// Blog controls
	if ( !function_exists( 'daze_control_standard_list' ) ) :
		function daze_control_standard_list($control) {
			if( "standard-list" === $control->manager->get_setting( 'daze_blog_layout_type' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_readmore' ) ) :
		function daze_control_readmore($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_blog_layout_type' )->value();
			$blog_post_length	= $control->manager->get_setting( 'daze_post_length' )->value();
			if( "standard-list" === $blog_layout_type && "post-excerpts" === $blog_post_length ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_masonry_list' ) ) :
		function daze_control_masonry_list($control) {
			if( "masonry" === $control->manager->get_setting( 'daze_blog_layout_type' )->value() || "masonry-mini" === $control->manager->get_setting( 'daze_blog_layout_type' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_sidebar' ) ) :
		function daze_control_sidebar($control) {
			$blog_layout_width	= $control->manager->get_setting( 'daze_blog_layout_width' )->value();
			$blog_layout_type	= $control->manager->get_setting( 'daze_blog_layout_type' )->value();
			if( !( "full-width" === $blog_layout_width && "standard-list" != $blog_layout_type ) ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_blog_cols_narrow' ) ) :
		function daze_control_blog_cols_narrow($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_blog_layout_type' )->value();
			$blog_layout_width	= $control->manager->get_setting( 'daze_blog_layout_width' )->value();
			$include_sidebar	= $control->manager->get_setting( 'daze_include_sidebar' )->value();
			if( ( "masonry" === $blog_layout_type || "masonry-mini" === $blog_layout_type ) && "narrow" === $blog_layout_width && false === $include_sidebar ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_cols_full' ) ) :
		function daze_control_cols_full($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_blog_layout_type' )->value();
			$blog_layout_width	= $control->manager->get_setting( 'daze_blog_layout_width' )->value();
			if( ( $blog_layout_type === "masonry" || $blog_layout_type === "masonry-mini" ) && "full-width" === $blog_layout_width ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_first_post' ) ) :
		function daze_control_first_post($control) {			
			$blog_layout_type	= $control->manager->get_setting( 'daze_blog_layout_type' )->value();
			$blog_layout_width	= $control->manager->get_setting( 'daze_blog_layout_width' )->value();
			if( !( ( $blog_layout_type === "masonry" || $blog_layout_type === "masonry-mini" ) && "full-width" === $blog_layout_width ) ) {
				return true;
			}
			return false;
		}
	endif;
	
// Tag controls	
	if ( !function_exists( 'daze_control_tag_layout_type' ) ) :
		function daze_control_tag_layout_type($control) {
			if( true === $control->manager->get_setting( 'daze_custom_tag_layout' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_tag_readmore' ) ) :
		function daze_control_tag_readmore($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_tag_layout_type' )->value();
			if( "standard-list" === $blog_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_tag_masonry_list' ) ) :
		function daze_control_tag_masonry_list($control) {
			$tag_custom			= $control->manager->get_setting( 'daze_custom_tag_layout' )->value();
			$tag_layout_type	= $control->manager->get_setting( 'daze_tag_layout_type' )->value();
			if( true === $tag_custom && "standard-list" != $tag_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_tag_cols_narrow' ) ) :
		function daze_control_tag_cols_narrow($control) {
			$tag_custom				= $control->manager->get_setting( 'daze_custom_tag_layout' )->value();
			$tag_layout_type		= $control->manager->get_setting( 'daze_tag_layout_type' )->value();
			$tag_layout_width		= $control->manager->get_setting( 'daze_tag_layout_width' )->value();
			$tag_include_sidebar	= $control->manager->get_setting( 'daze_tag_include_sidebar' )->value();
			if( $tag_custom && "standard-list" != $tag_layout_type && "narrow" === $tag_layout_width && false === $tag_include_sidebar ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_tag_cols_full' ) ) :
		function daze_control_tag_cols_full($control) {
			$tag_custom			= $control->manager->get_setting( 'daze_custom_tag_layout' )->value();
			$tag_layout_type	= $control->manager->get_setting( 'daze_tag_layout_type' )->value();
			$tag_layout_width	= $control->manager->get_setting( 'daze_tag_layout_width' )->value();
			if( $tag_custom && "full-width" === $tag_layout_width && "standard-list" != $tag_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_tag_sidebar' ) ) :
		function daze_control_tag_sidebar($control) {
			$tag_custom			= $control->manager->get_setting( 'daze_custom_tag_layout' )->value();
			$tag_layout_width	= $control->manager->get_setting( 'daze_tag_layout_width' )->value();
			if( $tag_custom && "full-width" != $tag_layout_width ) {
				return true;
			}
			return false;
		}
	endif;
	
// Date controls
	if ( !function_exists( 'daze_control_date_layout_type' ) ) :
		function daze_control_date_layout_type($control) {
			if( true === $control->manager->get_setting( 'daze_custom_date_layout' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_date_masonry_list' ) ) :
		function daze_control_date_masonry_list($control) {
			$date_custom		= $control->manager->get_setting( 'daze_custom_date_layout' )->value();
			$date_layout_type	= $control->manager->get_setting( 'daze_date_layout_type' )->value();
			if( true === $date_custom && "standard-list" != $date_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_date_readmore' ) ) :
		function daze_control_date_readmore($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_date_layout_type' )->value();
			if( "standard-list" === $blog_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_date_cols_narrow' ) ) :
		function daze_control_date_cols_narrow($control) {
			$date_custom			= $control->manager->get_setting( 'daze_custom_date_layout' )->value();
			$date_layout_type		= $control->manager->get_setting( 'daze_date_layout_type' )->value();
			$date_layout_width		= $control->manager->get_setting( 'daze_date_layout_width' )->value();
			$date_include_sidebar	= $control->manager->get_setting( 'daze_date_include_sidebar' )->value();
			if( $date_custom && "standard-list" != $date_layout_type && "narrow" === $date_layout_width && false === $date_include_sidebar ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_date_cols_full' ) ) :
		function daze_control_date_cols_full($control) {
			$date_custom		= $control->manager->get_setting( 'daze_custom_date_layout' )->value();
			$date_layout_type	= $control->manager->get_setting( 'daze_date_layout_type' )->value();
			$date_layout_width	= $control->manager->get_setting( 'daze_date_layout_width' )->value();
			if( $date_custom && "full-width" === $date_layout_width && "standard-list" != $date_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_date_sidebar' ) ) :
		function daze_control_date_sidebar($control) {
			$date_custom		= $control->manager->get_setting( 'daze_custom_date_layout' )->value();
			$date_layout_width	= $control->manager->get_setting( 'daze_date_layout_width' )->value();
			if( $date_custom && "full-width" != $date_layout_width ) {
				return true;
			}
			return false;
		}
	endif;
	
// Author controls
	if ( !function_exists( 'daze_control_author_layout_type' ) ) :
		function daze_control_author_layout_type($control) {
			if( true === $control->manager->get_setting( 'daze_custom_author_layout' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_author_masonry_list' ) ) :
		function daze_control_author_masonry_list($control) {
			$author_custom		= $control->manager->get_setting( 'daze_custom_author_layout' )->value();
			$author_layout_type	= $control->manager->get_setting( 'daze_author_layout_type' )->value();
			if( true === $author_custom && "standard-list" != $author_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_author_readmore' ) ) :
		function daze_control_author_readmore($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_author_layout_type' )->value();
			if( "standard-list" === $blog_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_author_cols_narrow' ) ) :
		function daze_control_author_cols_narrow($control) {
			$author_custom			= $control->manager->get_setting( 'daze_custom_author_layout' )->value();
			$author_layout_type		= $control->manager->get_setting( 'daze_author_layout_type' )->value();
			$author_layout_width	= $control->manager->get_setting( 'daze_author_layout_width' )->value();
			$author_include_sidebar	= $control->manager->get_setting( 'daze_author_include_sidebar' )->value();
			if( $author_custom && "standard-list" != $author_layout_type && "narrow" === $author_layout_width && false === $author_include_sidebar ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_author_cols_full' ) ) :
		function daze_control_author_cols_full($control) {
			$author_custom			= $control->manager->get_setting( 'daze_custom_author_layout' )->value();
			$author_layout_type		= $control->manager->get_setting( 'daze_author_layout_type' )->value();
			$author_layout_width	= $control->manager->get_setting( 'daze_author_layout_width' )->value();
			if( $author_custom && "full-width" === $author_layout_width && "standard-list" != $author_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_author_sidebar' ) ) :
		function daze_control_author_sidebar($control) {
			$author_custom			= $control->manager->get_setting( 'daze_custom_author_layout' )->value();
			$author_layout_width	= $control->manager->get_setting( 'daze_author_layout_width' )->value();
			if( $author_custom && "full-width" != $author_layout_width ) {
				return true;
			}
			return false;
		}
	endif;
	
// Category controls
	if ( !function_exists( 'daze_control_category_layout_type' ) ) :
		function daze_control_category_layout_type($control) {
			if( true === $control->manager->get_setting( 'daze_custom_category_layout' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_category_masonry_list' ) ) :
		function daze_control_category_masonry_list($control) {
			$category_custom		= $control->manager->get_setting( 'daze_custom_category_layout' )->value();
			$category_layout_type	= $control->manager->get_setting( 'daze_category_layout_type' )->value();
			if( true === $category_custom && "standard-list" != $category_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_category_readmore' ) ) :
		function daze_control_category_readmore($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_category_layout_type' )->value();
			if( "standard-list" === $blog_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_category_cols_narrow' ) ) :
		function daze_control_category_cols_narrow($control) {
			$category_custom			= $control->manager->get_setting( 'daze_custom_category_layout' )->value();
			$category_layout_type		= $control->manager->get_setting( 'daze_category_layout_type' )->value();
			$category_layout_width		= $control->manager->get_setting( 'daze_category_layout_width' )->value();
			$category_include_sidebar	= $control->manager->get_setting( 'daze_category_include_sidebar' )->value();
			if( $category_custom && "standard-list" != $category_layout_type && "narrow" === $category_layout_width && false === $category_include_sidebar ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_category_cols_full' ) ) :
		function daze_control_category_cols_full($control) {
			$category_custom		= $control->manager->get_setting( 'daze_custom_category_layout' )->value();
			$category_layout_type	= $control->manager->get_setting( 'daze_category_layout_type' )->value();
			$category_layout_width	= $control->manager->get_setting( 'daze_category_layout_width' )->value();
			if( $category_custom && "full-width" === $category_layout_width && "standard-list" != $category_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_category_sidebar' ) ) :
		function daze_control_category_sidebar($control) {
			$category_custom		= $control->manager->get_setting( 'daze_custom_category_layout' )->value();
			$category_layout_width	= $control->manager->get_setting( 'daze_category_layout_width' )->value();
			if( $category_custom && "full-width" != $category_layout_width ) {
				return true;
			}
			return false;
		}
	endif;
	
// Search controls
	if ( !function_exists( 'daze_control_search_layout_type' ) ) :
		function daze_control_search_layout_type($control) {
			if( true === $control->manager->get_setting( 'daze_custom_search_layout' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_search_masonry_list' ) ) :
		function daze_control_search_masonry_list($control) {
			$search_custom		= $control->manager->get_setting( 'daze_custom_search_layout' )->value();
			$search_layout_type	= $control->manager->get_setting( 'daze_search_layout_type' )->value();
			if( true === $search_custom && "standard-list" != $search_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_search_readmore' ) ) :
		function daze_control_search_readmore($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_search_layout_type' )->value();
			if( "standard-list" === $blog_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_search_cols_narrow' ) ) :
		function daze_control_search_cols_narrow($control) {
			$search_custom			= $control->manager->get_setting( 'daze_custom_search_layout' )->value();
			$search_layout_type		= $control->manager->get_setting( 'daze_search_layout_type' )->value();
			$search_layout_width	= $control->manager->get_setting( 'daze_search_layout_width' )->value();
			$search_include_sidebar	= $control->manager->get_setting( 'daze_search_include_sidebar' )->value();
			if( $search_custom && "standard-list" != $search_layout_type && "narrow" === $search_layout_width && false === $search_include_sidebar ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_search_cols_full' ) ) :
		function daze_control_search_cols_full($control) {
			$search_custom			= $control->manager->get_setting( 'daze_custom_search_layout' )->value();
			$search_layout_type		= $control->manager->get_setting( 'daze_search_layout_type' )->value();
			$search_layout_width	= $control->manager->get_setting( 'daze_search_layout_width' )->value();
			if( $search_custom && "full-width" === $search_layout_width && "standard-list" != $search_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_search_sidebar' ) ) :
		function daze_control_search_sidebar($control) {
			$search_custom			= $control->manager->get_setting( 'daze_custom_search_layout' )->value();
			$search_layout_width	= $control->manager->get_setting( 'daze_search_layout_width' )->value();
			if( $search_custom && "full-width" != $search_layout_width ) {
				return true;
			}
			return false;
		}
	endif;
	
// Other archives controls
	if ( !function_exists( 'daze_control_archives_layout_type' ) ) :
		function daze_control_archives_layout_type($control) {
			if( true === $control->manager->get_setting( 'daze_custom_archives_layout' )->value() ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_archives_masonry_list' ) ) :
		function daze_control_archives_masonry_list($control) {
			$archives_custom		= $control->manager->get_setting( 'daze_custom_archives_layout' )->value();
			$archives_layout_type	= $control->manager->get_setting( 'daze_archives_layout_type' )->value();
			if( true === $archives_custom && "standard-list" != $archives_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_archives_readmore' ) ) :
		function daze_control_archives_readmore($control) {
			$blog_layout_type	= $control->manager->get_setting( 'daze_archives_layout_type' )->value();
			if( "standard-list" === $blog_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_archives_cols_narrow' ) ) :
		function daze_control_archives_cols_narrow($control) {
			$archives_custom			= $control->manager->get_setting( 'daze_custom_archives_layout' )->value();
			$archives_layout_type		= $control->manager->get_setting( 'daze_archives_layout_type' )->value();
			$archives_layout_width		= $control->manager->get_setting( 'daze_archives_layout_width' )->value();
			$archives_include_sidebar	= $control->manager->get_setting( 'daze_archives_include_sidebar' )->value();
			if( $archives_custom && "standard-list" != $archives_layout_type && "narrow" === $archives_layout_width && false === $archives_include_sidebar ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_archives_cols_full' ) ) :
		function daze_control_archives_cols_full($control) {
			$archives_custom		= $control->manager->get_setting( 'daze_custom_archives_layout' )->value();
			$archives_layout_type	= $control->manager->get_setting( 'daze_archives_layout_type' )->value();
			$archives_layout_width	= $control->manager->get_setting( 'daze_archives_layout_width' )->value();
			if( $archives_custom && "full-width" === $archives_layout_width && "standard-list" != $archives_layout_type ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_archives_sidebar' ) ) :
		function daze_control_archives_sidebar($control) {
			$archives_custom		= $control->manager->get_setting( 'daze_custom_archives_layout' )->value();
			$archives_layout_width	= $control->manager->get_setting( 'daze_archives_layout_width' )->value();
			if( $archives_custom && "full-width" != $archives_layout_width ) {
				return true;
			}
			return false;
		}
	endif;

// Special Boxes
	if ( !function_exists( 'daze_control_bannerad_box' ) ) :
		function daze_control_bannerad_box($control) {
			if( $control->manager->get_setting( 'daze_inc_bannerad_box' )->value() === true ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_bannerad_2' ) ) :
		function daze_control_bannerad_2($control) {
			$inc_bannerad = $control->manager->get_setting( 'daze_inc_bannerad_box' )->value();
			$inc_bannerad_2 = $control->manager->get_setting( 'daze_inc_bannerad_2' )->value();
			if( true === $inc_bannerad && true === $inc_bannerad_2 ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_bannerad_3' ) ) :
		function daze_control_bannerad_3($control) {
			$inc_bannerad = $control->manager->get_setting( 'daze_inc_bannerad_box' )->value();
			$inc_bannerad_2 = $control->manager->get_setting( 'daze_inc_bannerad_2' )->value();
			$inc_bannerad_3 = $control->manager->get_setting( 'daze_inc_bannerad_3' )->value();
			if( true === $inc_bannerad && true === $inc_bannerad_2 && true === $inc_bannerad_3 ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_bannerad_4' ) ) :
		function daze_control_bannerad_4($control) {
			$inc_bannerad = $control->manager->get_setting( 'daze_inc_bannerad_box' )->value();
			$inc_bannerad_2 = $control->manager->get_setting( 'daze_inc_bannerad_2' )->value();
			$inc_bannerad_3 = $control->manager->get_setting( 'daze_inc_bannerad_3' )->value();
			$inc_bannerad_4 = $control->manager->get_setting( 'daze_inc_bannerad_4' )->value();
			if( true === $inc_bannerad && true === $inc_bannerad_2 && true === $inc_bannerad_3 && true === $inc_bannerad_4 ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_bannerad_5' ) ) :
		function daze_control_bannerad_5($control) {
			$inc_bannerad = $control->manager->get_setting( 'daze_inc_bannerad_box' )->value();
			$inc_bannerad_2 = $control->manager->get_setting( 'daze_inc_bannerad_2' )->value();
			$inc_bannerad_3 = $control->manager->get_setting( 'daze_inc_bannerad_3' )->value();
			$inc_bannerad_4 = $control->manager->get_setting( 'daze_inc_bannerad_4' )->value();
			$inc_bannerad_5 = $control->manager->get_setting( 'daze_inc_bannerad_5' )->value();
			if( true === $inc_bannerad && true === $inc_bannerad_2 && true === $inc_bannerad_3 && true === $inc_bannerad_4 && true === $inc_bannerad_5 ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_social_box' ) ) :
		function daze_control_social_box($control) {
			if( $control->manager->get_setting( 'daze_inc_social_box' )->value() === true ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_top_posts' ) ) :
		function daze_control_top_posts($control) {
			if( $control->manager->get_setting( 'daze_inc_top_posts_box' )->value() === true ) {
				return true;
			}
			return false;
		}
	endif;
	
	if ( !function_exists( 'daze_control_latest_comments_box' ) ) :
		function daze_control_latest_comments_box($control) {
			if( $control->manager->get_setting( 'daze_inc_latest_comments_box' )->value() === true ) {
				return true;
			}
			return false;
		}
	endif;
	

/*	SANITIZATION
   ========================================================================== */
	if ( !function_exists( 'daze_sanitize_checkbox' ) ) :
		function daze_sanitize_checkbox( $input ) {
			if ( $input === true ) {
				return true;
			} else {
				return false;
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_custom_html' ) ) :
		function daze_sanitize_custom_html( $input ) {
			$allowed = array(
				'h3' => array()
			);
			return stripslashes( wp_kses( $input, $allowed ) );
		}
	endif;

// Blog sanitization
	if ( !function_exists( 'daze_sanitize_blog_layout_type' ) ) :
		function daze_sanitize_blog_layout_type( $input ) {
			$valid = array(
				'masonry'		=> esc_html__( 'Pinterest (Masonry) list', 'daze' ),
				'masonry-mini'	=> esc_html__( 'Minimalist (image only) list', 'daze' ),
				'standard-list' => esc_html__( 'Standard list', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'masonry';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_post_length' ) ) :
		function daze_sanitize_post_length( $input ) {
			$valid = array(
				'post-excerpts' => esc_html__( 'Excerpts', 'daze' ),
				'full-posts'	=> esc_html__( 'Full posts', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'post-excerpts';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_blog_layout_width' ) ) :
		function daze_sanitize_blog_layout_width( $input ) {
			$valid = array(
				'full-width'	=> esc_html__( 'Full width grid', 'daze' ),
				'narrow'		=> esc_html__( 'Narrow grid', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'narrow';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_blog_cols_narrow' ) ) :
		function daze_sanitize_blog_cols_narrow( $input ) {
			$valid = array(
				'two'	=> esc_html__( '2', 'daze' ),
				'three' => esc_html__( '3', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'three';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_blog_cols_full' ) ) :
		function daze_sanitize_blog_cols_full( $input ) {
			$valid = array(
				'four' => esc_html__( '4', 'daze' ),
				'five' => esc_html__( '5', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'four';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_first_post' ) ) :
		function daze_sanitize_first_post( $input ) {
			$valid = array(
				'enlarge_plus_full'		=> esc_html__( 'Enlarge and show full post', 'daze' ),
				'enlarge_plus_excerpt'	=> esc_html__( 'Enlarge and show excerpt', 'daze' ),
				'nothing'				=> esc_html__( 'Do nothing', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
				
			} else {
				return 'nothing';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_pagination_type' ) ) :
		function daze_sanitize_pagination_type( $input ) {
			$valid = array(
				'infinite_scroll'		=> esc_html__( 'Infinite scroll', 'daze' ),
				'standard_pagination'	=> esc_html__( 'Standard pagination', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'infinite_scroll';
			}
		}
	endif;

// Tag sanitization
	if ( !function_exists( 'daze_sanitize_tag_layout_type' ) ) :
		function daze_sanitize_tag_layout_type( $input ) {
			$valid = array(
				'masonry'		=> esc_html__( 'Pinterest (masonry) list', 'daze' ),
				'masonry-mini'	=> esc_html__( 'Minimalist (image only) list', 'daze' ),
				'tiny'			=> esc_html__( 'Tiny list', 'daze' ),
				'standard-list' => esc_html__( 'Standard list', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'tiny';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_tag_layout_width' ) ) :
		function daze_sanitize_tag_layout_width( $input ) {
			$valid = array(
				'full-width'	=> esc_html__( 'Full width grid', 'daze' ),
				'narrow'		=> esc_html__( 'Narrow grid', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'narrow';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_tag_cols_narrow' ) ) :
		function daze_sanitize_tag_cols_narrow( $input ) {
			$valid = array(
				'two' 	=> esc_html__( '2', 'daze' ),
				'three' => esc_html__( '3', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'three';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_tag_cols_full' ) ) :
		function daze_sanitize_tag_cols_full( $input ) {
			$valid = array(
				'four' => esc_html__( '4', 'daze' ),
				'five' => esc_html__( '5', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'four';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_tag_pagination_type' ) ) :
		function daze_sanitize_tag_pagination_type( $input ) {
			$valid = array(
				'infinite_scroll'		=> esc_html__( 'Infinite scroll', 'daze' ),
				'standard_pagination'	=> esc_html__( 'Standard pagination', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'infinite_scroll';
			}
		}
	endif;

// Date sanitization
	if ( !function_exists( 'daze_sanitize_date_layout_type' ) ) :
		function daze_sanitize_date_layout_type( $input ) {
			$valid = array(
				'masonry'		=> esc_html__( 'Pinterest (masonry) list', 'daze' ),
				'masonry-mini'	=> esc_html__( 'Minimalist (image only) list', 'daze' ),
				'tiny'			=> esc_html__( 'Tiny list', 'daze' ),
				'standard-list' => esc_html__( 'Standard list', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'tiny';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_date_layout_width' ) ) :
		function daze_sanitize_date_layout_width( $input ) {
			$valid = array(
				'full-width'	=> esc_html__( 'Full width grid', 'daze' ),
				'narrow'		=> esc_html__( 'Narrow grid', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'narrow';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_date_cols_narrow' ) ) :
		function daze_sanitize_date_cols_narrow( $input ) {
			$valid = array(
				'two' 	=> esc_html__( '2', 'daze' ),
				'three' => esc_html__( '3', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'three';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_date_cols_full' ) ) :
		function daze_sanitize_date_cols_full( $input ) {
			$valid = array(
				'four' => esc_html__( '4', 'daze' ),
				'five' => esc_html__( '5', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'four';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_date_pagination_type' ) ) :
		function daze_sanitize_date_pagination_type( $input ) {
			$valid = array(
				'infinite_scroll'		=> esc_html__( 'Infinite scroll', 'daze' ),
				'standard_pagination'	=> esc_html__( 'Standard pagination', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'infinite_scroll';
			}
		}
	endif;

// Author sanitization
	if ( !function_exists( 'daze_sanitize_author_layout_type' ) ) :
		function daze_sanitize_author_layout_type( $input ) {
			$valid = array(
				'masonry'		=> esc_html__( 'Pinterest (masonry) list', 'daze' ),
				'masonry-mini'	=> esc_html__( 'Minimalist (image only) list', 'daze' ),
				'tiny'			=> esc_html__( 'Tiny list', 'daze' ),
				'standard-list' => esc_html__( 'Standard list', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'tiny';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_author_layout_width' ) ) :
		function daze_sanitize_author_layout_width( $input ) {
			$valid = array(
				'full-width'	=> esc_html__( 'Full width grid', 'daze' ),
				'narrow'		=> esc_html__( 'Narrow grid', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'narrow';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_author_cols_narrow' ) ) :
		function daze_sanitize_author_cols_narrow( $input ) {
			$valid = array(
				'two' 	=> esc_html__( '2', 'daze' ),
				'three' => esc_html__( '3', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'three';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_author_cols_full' ) ) :
		function daze_sanitize_author_cols_full( $input ) {
			$valid = array(
				'four' => esc_html__( '4', 'daze' ),
				'five' => esc_html__( '5', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'four';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_author_pagination_type' ) ) :
		function daze_sanitize_author_pagination_type( $input ) {
			$valid = array(
				'infinite_scroll'		=> esc_html__( 'Infinite scroll', 'daze' ),
				'standard_pagination'	=> esc_html__( 'Standard pagination', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'infinite_scroll';
			}
		}
	endif;

// Category sanitization
	if ( !function_exists( 'daze_sanitize_category_layout_type' ) ) :
		function daze_sanitize_category_layout_type( $input ) {
			$valid = array(
				'masonry'		=> esc_html__( 'Pinterest (masonry) list', 'daze' ),
				'masonry-mini'	=> esc_html__( 'Minimalist (image only) list', 'daze' ),
				'tiny'			=> esc_html__( 'Tiny list', 'daze' ),
				'standard-list' => esc_html__( 'Standard list', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'tiny';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_category_layout_width' ) ) :
		function daze_sanitize_category_layout_width( $input ) {
			$valid = array(
				'full-width'	=> esc_html__( 'Full width grid', 'daze' ),
				'narrow'		=> esc_html__( 'Narrow grid', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'narrow';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_category_cols_narrow' ) ) :
		function daze_sanitize_category_cols_narrow( $input ) {
			$valid = array(
				'two' 	=> esc_html__( '2', 'daze' ),
				'three' => esc_html__( '3', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'three';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_category_cols_full' ) ) :
		function daze_sanitize_category_cols_full( $input ) {
			$valid = array(
				'four' => esc_html__( '4', 'daze' ),
				'five' => esc_html__( '5', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'four';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_category_pagination_type' ) ) :
		function daze_sanitize_category_pagination_type( $input ) {
			$valid = array(
				'infinite_scroll'		=> esc_html__( 'Infinite scroll', 'daze' ),
				'standard_pagination'	=> esc_html__( 'Standard pagination', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'infinite_scroll';
			}
		}
	endif;

// Search sanitization
	if ( !function_exists( 'daze_sanitize_search_layout_type' ) ) :
		function daze_sanitize_search_layout_type( $input ) {
			$valid = array(
				'masonry'		=> esc_html__( 'Pinterest (masonry) list', 'daze' ),
				'masonry-mini'	=> esc_html__( 'Minimalist (image only) list', 'daze' ),
				'tiny'			=> esc_html__( 'Tiny list', 'daze' ),
				'standard-list' => esc_html__( 'Standard list', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'tiny';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_search_layout_width' ) ) :
		function daze_sanitize_search_layout_width( $input ) {
			$valid = array(
				'full-width'	=> esc_html__( 'Full width grid', 'daze' ),
				'narrow'		=> esc_html__( 'Narrow grid', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'narrow';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_search_cols_narrow' ) ) :
		function daze_sanitize_search_cols_narrow( $input ) {
			$valid = array(
				'two' 	=> esc_html__( '2', 'daze' ),
				'three' => esc_html__( '3', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'three';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_search_cols_full' ) ) :
		function daze_sanitize_search_cols_full( $input ) {
			$valid = array(
				'four' => esc_html__( '4', 'daze' ),
				'five' => esc_html__( '5', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'four';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_search_pagination_type' ) ) :
		function daze_sanitize_search_pagination_type( $input ) {
			$valid = array(
				'infinite_scroll'		=> esc_html__( 'Infinite scroll', 'daze' ),
				'standard_pagination'	=> esc_html__( 'Standard pagination', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'infinite_scroll';
			}
		}
	endif;

// Other archives sanitization
	if ( !function_exists( 'daze_sanitize_archives_layout_type' ) ) :
		function daze_sanitize_archives_layout_type( $input ) {
			$valid = array(
				'masonry'		=> esc_html__( 'Pinterest (masonry) list', 'daze' ),
				'masonry-mini'	=> esc_html__( 'Minimalist (image only) list', 'daze' ),
				'tiny'			=> esc_html__( 'Tiny list', 'daze' ),
				'standard-list' => esc_html__( 'Standard list', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'tiny';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_archives_layout_width' ) ) :
		function daze_sanitize_archives_layout_width( $input ) {
			$valid = array(
				'full-width'	=> esc_html__( 'Full width grid', 'daze' ),
				'narrow'		=> esc_html__( 'Narrow grid', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'narrow';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_archives_cols_narrow' ) ) :
		function daze_sanitize_archives_cols_narrow( $input ) {
			$valid = array(
				'two' 	=> esc_html__( '2', 'daze' ),
				'three' => esc_html__( '3', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'three';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_archives_cols_full' ) ) :
		function daze_sanitize_archives_cols_full( $input ) {
			$valid = array(
				'four' => esc_html__( '4', 'daze' ),
				'five' => esc_html__( '5', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'four';
			}
		}
	endif;
	
	if ( !function_exists( 'daze_sanitize_archives_pagination_type' ) ) :
		function daze_sanitize_archives_pagination_type( $input ) {
			$valid = array(
				'infinite_scroll'		=> esc_html__( 'Infinite scroll', 'daze' ),
				'standard_pagination'	=> esc_html__( 'Standard pagination', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'infinite_scroll';
			}
		}
	endif;
	
// Featured Posts Slider	
	if ( !function_exists( 'daze_sanitize_nwps_type' ) ) :
		function daze_sanitize_nwps_type( $input ) {
			$valid = array(
				'simple'	=> esc_html__( '1 post per slide', 'daze' ),
				'columns'	=> esc_html__( '3 posts per slide', 'daze' )
			);
		 
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return 'columns';
			}
		}
	endif;
	

/*	THEME INLINE STYLES
   ========================================================================== */
	include_once( get_template_directory() . '/admin/customizer/dynamic-styles.php' );
	

/*	CUSTOMIZER STYLES
   ========================================================================== */
	if ( !function_exists( 'daze_customizer_styles' ) ) :
		function daze_customizer_styles() {
			wp_enqueue_style( 'daze_customizer', get_template_directory_uri() . '/admin/customizer/css/customizer.css' );
		}
	endif;
	
	add_action( 'customize_controls_print_styles', 'daze_customizer_styles' ); 
?>