<?php
/* ==========================================================================
	Dynamic styles
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
function daze_dynamic_styles() {
	
	wp_enqueue_style( 'daze_dynamic_styles' );
	
	$custom_css = "";
	
// Header text color
	$header_textcolor = get_theme_mod( 'header_textcolor', '#111' );
	if( $header_textcolor ) {
		$custom_css .= "
			#site-header .site-logo a,
			#site-header .site-logo h1 {
				color: {$header_textcolor};
			}
		";
	}
	
// Theme color
	$theme_color = get_theme_mod( 'daze_theme_color', '#ff2955' );
	if( $theme_color ) {
		$custom_css .= "
			.masonry-list-wrapper .sticky:before,
			.standard-list .sticky .post-title:after,
			.popout-holder .icon.close:hover {
				background: {$theme_color};
			}
			html,
			.top-bar.mobile .menu-overlay.active,
			#main .drop-caps .post-content:first-letter {
				border-color: {$theme_color};
			}
			input[type='submit'],
			a.button-link,
			.top-bar.desktop .top-menu a:hover,
			.top-bar.desktop .top-menu a:active,
			.top-bar .search-button:hover,
			.top-bar .search-button:active,
			.popout-content a,
			.current-menu-item > a,
			#site-header nav a:hover,
			#site-header nav a:active,
			.post-category a,
			.masonry-item .cover-item:hover .featured-area:not(:empty) + .post-header .post-category a,
			.no-results,
			.error404 .post-category,
			.post-content a,
			.post-content li,
			.page-links a,
			.edit-link a,
			.post-nums a.page-numbers,
			.post-nums a.page-numbers,
			.tagcloud .count,
			.widget.latest-comments a:hover,
			.widget.latest-comments a:active,
			.widget .cat-item .count,
			.widget .rsswidget,
			.widget_calendar td#today:after,
			.copyrights a {
				color: {$theme_color};
			}
		";
	}
	
// Background patterns
	$anim_bgr = get_theme_mod( 'daze_bgr_pattern' );
	$bgr_pattern_color = get_theme_mod( 'daze_bgr_pattern_color', '#111' );
	
	if( $anim_bgr ) {
		$anim_bgr_W = wp_get_attachment_metadata( daze_get_post_id_by_url( $anim_bgr ) )['width']/2;
		$anim_bgr_H = wp_get_attachment_metadata( daze_get_post_id_by_url( $anim_bgr ) )['height']/2;
		
		$custom_css .= "
			@-moz-keyframes animatedBackground {
				0% { background-position: 0 0; }
				100% { background-position: -{$anim_bgr_W}px {$anim_bgr_H}px; }
			}
			@-ms-keyframes animatedBackground {
				0% { background-position: 0 0; }
				100% { background-position: -{$anim_bgr_W}px {$anim_bgr_H}px; }
			}
			@-o-keyframes animatedBackground {
				0% { background-position: 0 0; }
				100% { background-position: -{$anim_bgr_W}px {$anim_bgr_H}px; }
			}
			@-webkit-keyframes animatedBackground {
				0% { background-position: 0 0; }
				100% { background-position: -{$anim_bgr_W}px {$anim_bgr_H}px; }
			}
			@keyframes animatedBackground {
				0% { background-position: 0 0; }
				100% { background-position: -{$anim_bgr_W}px {$anim_bgr_H}px; }
			}
			.animated-bgr {
				background-image: url('{$anim_bgr}');
				background-position: 0 0;
				animation: animatedBackground 5s linear infinite;
				-moz-animation: animatedBackground 5s linear infinite;
				-webkit-animation: animatedBackground 5s linear infinite;
				-ms-animation: animatedBackground 5s linear infinite;
				-o-animation: animatedBackground 5s linear infinite;
			}
			.pattern-bgr {
				background-image: url('{$anim_bgr}');
			}
		";
		
	} else if( $bgr_pattern_color ) {
		$custom_css .= "
			.pattern-bgr,
			.animated-bgr {
				background-color: {$bgr_pattern_color};
			}
		";
	}	
	
// Text color for background patterns
	$pattern_text_color = get_theme_mod( 'daze_bgr_pattern_text' );	
	if($pattern_text_color) {
		$custom_css .= "
			.animated-bgr.search-form input[type='search'] {
				color: {$pattern_text_color};
			}
		";
	}
	
// Apply all the styles above
	wp_add_inline_style( 'daze_dynamic_styles', $custom_css );		
}

add_action( 'wp_enqueue_scripts', 'daze_dynamic_styles' );
?>