<?php
/* ==========================================================================
	Miscellaneous settings - page 404, author, top bar
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */

/* 	Page 404
   ========================================================================== */
    $wp_customize->add_setting( 'daze_h_page_404', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	) );
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_page_404', array(
		'section' => 'daze_misc',
		'label' => esc_html__( 'Page 404 (Page not found)', 'daze' )
	)));
	
// Background image
	$wp_customize->add_setting( 'daze_page_404_bgr', array(
		'capability'     	=> 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
		'type'           	=> 'theme_mod'
	));	 
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'daze_page_404_bgr', array(
		'label'    => esc_html__( 'Background image', 'daze' ),
		'section'  => 'daze_misc',
		'settings' => 'daze_page_404_bgr'
	)));
   
// Short description
	$wp_customize->add_setting( 'daze_page_404_desc', array(
		'default'        	=> esc_attr__( '404 error', 'daze' ),
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'sanitize_text_field'
	));	 
	$wp_customize->add_control( 'daze_page_404_desc', array(
		'label'      	=> esc_html__( 'Short description', 'daze' ),
		'input_attrs' 	=> array(
							'placeholder' => esc_attr__( '404 error', 'daze' )
		),
		'section'    	=> 'daze_misc',
		'settings'   	=> 'daze_page_404_desc',
		'type'       	=> 'text'
	));	
   
// Heading
	$wp_customize->add_setting( 'daze_page_404_heading', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'default'        	=> esc_attr__( 'Oops! This page is not here anymore...', 'daze' ),
		'sanitize_callback' => 'sanitize_text_field'
	));	 
	$wp_customize->add_control('daze_page_404_heading', array(
		'label'      	=> esc_html__( 'Custom error message', 'daze' ),
		'input_attrs' 	=> array(
							'placeholder' => esc_attr__( 'Oops! This page is not here anymore...', 'daze' )
		),
		'section'    	=> 'daze_misc',
		'settings'   	=> 'daze_page_404_heading',
		'type'       	=> 'text'
	));
	
// Text
	$wp_customize->add_setting( 'daze_page_404_text', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'wp_kses_data'
	));	 
	$wp_customize->add_control( 'daze_page_404_text', array(
		'label'      => esc_html__( 'Additional text:', 'daze' ),
		'section'    => 'daze_misc',
		'settings'   => 'daze_page_404_text',
		'type'       => 'textarea'
	));
	
/*	Top bar
   ========================================================================== */  
    $wp_customize->add_setting( 'daze_h_top_bar', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	) );
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_top_bar', array(
		'section'	=> 'daze_misc',
		'label'		=> esc_html__( 'Top bar', 'daze' )
	)));
	
	$wp_customize->add_setting( 'daze_show_search_in_top', array(
		'default'        	=> true,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_show_search_in_top', array(
		'label'      => esc_html__( 'Show the search button in top bar', 'daze' ),
		'section'    => 'daze_misc',
		'settings'   => 'daze_show_search_in_top',
		'type'       => 'checkbox'
	));	
?>