<?php
/* ==========================================================================
	Site identity - logo, copyright and favicon settings
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */

/*	Site logo
   ========================================================================== */
    $wp_customize->add_setting( 'daze_h_site_logo', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	));	
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_site_logo', array(
		'section'	=> 'title_tagline',
		'label'		=> esc_html__( 'Site logo', 'daze' )
	)));
	
// Regular image
	$wp_customize->add_setting( 'daze_site_logo', array(
		'capability'     	=> 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
		'type'           	=> 'theme_mod'
	));	 
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'daze_site_logo', array(
		'label'			=> esc_html__( 'Upload image', 'daze' ),
		'section'		=> 'title_tagline',
		'settings'		=> 'daze_site_logo'
	)));
	
// Retina image
	$wp_customize->add_setting( 'daze_site_logo_retina', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
		'type'				=> 'theme_mod'
	));	 
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'daze_site_logo_retina', array(
		'label'			=> esc_html__( 'Upload retina image', 'daze' ),
		'section'		=> 'title_tagline',
		'description'	=> esc_html__( 'Has to be twice the size of a regular photo.', 'daze' ),
		'settings'		=> 'daze_site_logo_retina'
	)));
	
/*	Copyright
   ========================================================================== */
    $wp_customize->add_setting( 'daze_h_copyright', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	) );	
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_copyright', array(
		'section'	=> 'title_tagline',
		'label'		=> esc_html__( 'Copyright', 'daze' )
	)));
	
	$wp_customize->add_setting( 'daze_copyright', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'wp_kses_data'
	));	 
	$wp_customize->add_control( 'daze_copyright', array(
		'section'    => 'title_tagline',
		'settings'   => 'daze_copyright',
		'type'       => 'textarea'
	));
	
/*	Favicon (Site Icon)
   ========================================================================== */
	$wp_customize->get_control( 'blogname' )->label			= esc_html__( 'Site title', 'daze' );
	$wp_customize->get_control( 'site_icon' )->label		= esc_html__( 'Favicon', 'daze' );
	$wp_customize->get_control( 'site_icon' )->description	= esc_html__( 'Favicon must be square and at least 512px wide and tall.', 'daze' );
?>