<?php
/* ==========================================================================
	Social links customizer, sharing options and credentials settings
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */

/* 	Social profiles
   ========================================================================== */
    $wp_customize->add_setting( 'daze_h_social_profiles', array(
		'sanitize_callback' => 'daze_sanitize_customizer_html'
	) );	
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_social_profiles', array(
		'section' => 'daze_social_sharing',
		'label' => esc_html__( 'My social profiles', 'daze' )
	)));	
   
// Facebook
	$wp_customize->add_setting( 'daze_facebook_profile', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));	 
	$wp_customize->add_control( 'daze_facebook_profile', array(
		'label'      => esc_html__( 'Facebook', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_facebook_profile',
		'type'       => 'url'
	));	
	
// Twitter
	$wp_customize->add_setting( 'daze_twitter_profile', array(
		'capability'		=> 'edit_theme_options',
		'type'				=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));	 
	$wp_customize->add_control( 'daze_twitter_profile', array(
		'label'      => esc_html__( 'Twitter', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_twitter_profile',
		'type'       => 'url'
	));
	
// Pinterest
	$wp_customize->add_setting( 'daze_pinterest_profile', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));	 
	$wp_customize->add_control( 'pinterest_profile_c', array(
		'label'      => esc_html__( 'Pinterest', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_pinterest_profile',
		'type'       => 'url'
	));
	
// Instagram
	$wp_customize->add_setting( 'daze_instagram_profile', array(
		'capability'		=> 'edit_theme_options',
		'type'				=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));	 
	$wp_customize->add_control('daze_instagram_profile', array(
		'label'      => esc_html__( 'Instagram', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_instagram_profile',
		'type'       => 'url'
	));
	
// Google Plus
	$wp_customize->add_setting( 'daze_gplus_profile', array(
		'capability'		=> 'edit_theme_options',
		'type'				=> 'theme_mod',
		'sanitize_callback' => 'esc_url_raw'
	));	 
	$wp_customize->add_control('daze_gplus_profile', array(
		'label'      => esc_html__( 'Google Plus', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_gplus_profile',
		'type'       => 'url'
	));
	
/* 	Social links
   ========================================================================== */   
    $wp_customize->add_setting( 'daze_h_social_appearances', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	) );
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_social_appearances', array(
		'section'	=> 'daze_social_sharing',
		'label'		=> esc_html__( 'Social links and share buttons', 'daze' )
	)));
	
	$wp_customize->add_setting( 'daze_social_heading', array(
		'default'     		=> esc_attr__( 'Connect with me', 'daze' ),
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'sanitize_text_field'
	));	 
	$wp_customize->add_control( 'daze_social_heading', array(
		'label'      	=> esc_html__( 'Social links title in top bar:', 'daze' ),
		'input_attrs' 	=> array(
							'placeholder' => esc_attr__( 'Connect with me', 'daze' )
		),
		'section'    	=> 'daze_social_sharing',
		'settings'   	=> 'daze_social_heading',
		'type'       	=> 'text'
	));
	
	$wp_customize->add_setting( 'daze_social_in_topbar', array(
		'default'			=> false,
		'capability'		=> 'edit_theme_options',
		'type'				=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_social_in_topbar', array(
		'label'      => esc_html__( 'Show the social links in top bar', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_social_in_topbar',
		'type'       => 'checkbox'
	));
	
// Social links in footer
	$wp_customize->add_setting( 'daze_social_in_footer', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_social_in_footer', array(
		'label'      => esc_html__( 'Show the social links in footer', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_social_in_footer',
		'type'       => 'checkbox'
	));
	
/* 	Share buttons
   ========================================================================== */
	$wp_customize->add_setting( 'daze_show_share_buttons', array(
		'default'        	=> true,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_show_share_buttons', array(
		'label'      => esc_html__( 'Show the share buttons', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_show_share_buttons',
		'type'       => 'checkbox'
	));	
	
	$wp_customize->add_setting( 'daze_include_og', array(
		'default'        	=> true,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_include_og', array(
		'label'      => esc_html__( 'Include Open Graph meta tags', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_include_og',
		'type'       => 'checkbox'
	));
	
	// Default social share image
	$wp_customize->add_setting( 'daze_og_image', array(
		'capability'     	=> 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
		'type'           	=> 'theme_mod'
	));	 
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'daze_og_image', array(
		'label'    => esc_html__( 'Default image for Open Graph', 'daze' ),
		'section'  => 'daze_social_sharing',
		'settings' => 'daze_og_image'
	)));
	
/* 	Shareable text-selection
   ========================================================================== */
	$wp_customize->add_setting( 'daze_selection_share_on', array(
		'default'        	=> true,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_selection_share_on', array(
		'label'      => esc_html__( 'Enable text selection share', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_selection_share_on',
		'type'       => 'checkbox'
	));
	
/* 	Discussion
   ========================================================================== */   
    $wp_customize->add_setting( 'daze_h_fb_comments', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	));
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_fb_comments', array(
		'section'	=> 'daze_social_sharing',
		'label'		=> esc_html__( 'FB Comments', 'daze' )
	)));
	
	$wp_customize->add_setting( 'daze_allow_fb_comments', array(
		'default'			=> true,
		'capability'		=> 'edit_theme_options',
		'type'				=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_allow_fb_comments', array(
		'label'      => esc_html__( 'Allow login with Facebook to comment', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_allow_fb_comments',
		'type'       => 'checkbox'
	));	
		
/* 	API keys
   ========================================================================== */
    $wp_customize->add_setting( 'daze_api_credentials', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	) );	
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_api_credentials', array(
		'section' => 'daze_social_sharing',
		'label' => esc_html__( 'API keys', 'daze' )
	)));
	
	$wp_customize->add_setting( 'daze_google_maps_api_key', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'sanitize_text_field'
	));	 
	$wp_customize->add_control( 'daze_google_maps_api_key', array(
		'label'      => esc_html__( 'Google Maps', 'daze' ),
		'section'    => 'daze_social_sharing',
		'settings'   => 'daze_google_maps_api_key',
		'type'       => 'text'
	));
?>