<?php
/* ==========================================================================
	Archive template, displaying the Instagram carousel and all the content bellow
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
	get_header();

	$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
	
	if ( have_posts() ) :
	
		$blog_layout_type = get_theme_mod( 'daze_custom_archives_layout',  false ) ? get_theme_mod( 'daze_archives_layout_type', 'tiny' ) : get_theme_mod( 'daze_blog_layout_type', 'masonry' );
		$blog_layout_width = get_theme_mod( 'daze_custom_archives_layout', false ) ? get_theme_mod( 'daze_archives_layout_width', 'narrow' ) : get_theme_mod( 'daze_blog_layout_width', 'narrow' );
		$sidebar = get_theme_mod( 'daze_custom_archives_layout', false ) ? get_theme_mod( 'daze_archives_include_sidebar', false ) : get_theme_mod( 'daze_include_sidebar', false );		
		
		$include_sidebar = ( 'standard-list' != $blog_layout_type && 'full-width' === $blog_layout_width )
							? false
							: $sidebar;
?>

	<div class="archive-header-holder content-wrapper clearfix">
		<div class="archive-header post-header">
			<h1><?php esc_html_e( 'Archive', 'daze' ); ?></h1>
		</div>
	</div>
		
	<div class="main-holder content-wrapper clearfix">
		<div class="content-wrapper featured-area"></div>
					
		<main id="main" <?php daze_main_class(); ?> >
			<div <?php daze_layout_class(); ?>>
		<?php
			if( 'standard-list' != $blog_layout_type ) :
		?>
				<div class="masonry-item-sizer"></div>
			<?php
				while ( have_posts() ) :
					the_post();
			?>					
					<div class="masonry-item-wrapper">
						<div class="masonry-item">
							<div class="drop-overlay animated-bgr"></div>
							<div class="masonry-content"><?php
								if( 'tiny' === $blog_layout_type ) {
									get_template_part( 'template-parts/content', 'tiny' );
									
								} else {
									get_template_part( 'template-parts/content', 'masonry' );
								}								
							?></div>
						</div>
					</div>
			<?php
				endwhile;
			else:
				while ( have_posts() ) :
					the_post();
						
					$post_format = get_post_format();
					?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<?php
						get_template_part( 'template-parts/fullheader' );
						
						if( !( "quote" === $post_format || "link" === $post_format ) ) {
							get_template_part( 'template-parts/featuredarea' );
						}
						
						get_template_part( 'template-parts/content', 'excerpt' );
					?>
					</article><!-- .post-content / .post-excerpt -->
					<?php
				endwhile;
			endif;
			?>
			</div>
		<?php				
			daze_posts_pagination( $wp_query->max_num_pages,"2",$paged );
			
			wp_reset_postdata();
		?>
			<div class="loading"><div class="loader"><div class="circle colored"></div><div class="circle transparent"></div></div></div>
		</main>
<?php
	if ( true === $include_sidebar ) {
		get_sidebar();
	}
?>
	</div>
<?php
	endif;
	get_footer();
?>