<?php
/* ==========================================================================
	Header template, displaying the site header and all the content before the main slider
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php	
	if( get_theme_mod( 'daze_allow_fb_comments', 1 ) || is_active_widget( false, false, 'daze_fb_badge', true ) ) {
	?>
	<!-- Load Facebook SDK for JavaScript -->
	<div id="fb-root"></div>
	<?php
	}
	?>
	
	<div class="mobile top-bar clearfix">
		<div class="site-logo">
			<?php daze_show_site_logo(); ?>
		</div>
		
		<span class="icon menu"></span>
		<span class="icon search"></span>
		
		<?php get_search_form(); ?>
	
		<div class="menu-overlay inactive">			
			<?php if( has_nav_menu( 'main' ) ) : ?>
			<nav class="main-menu clearfix" aria-label="<?php esc_attr_e( 'Main Menu', 'daze' ); ?>">
			<?php
				wp_nav_menu( array(
					'theme_location' => 'main',
					'container'     => '',
				 ) );
			?>
				<span class="v-line"></span>
			</nav>			
			<?php endif; ?><!-- .mobile .main-menu -->			
						
			<?php if( get_theme_mod( 'daze_social_in_topbar' ) ) : ?>
			<div class="social">				
				<?php echo daze_get_social_profiles(); ?>
			</div>
			<?php endif; ?><!-- .mobile .social -->			
			
			<?php if( has_nav_menu( 'top' ) ) : ?>
			<nav class="top-menu" aria-label="<?php esc_attr_e( 'Top Menu', 'daze' ); ?>">
				<?php
					wp_nav_menu( array(
						'theme_location' => 'top',
						'container'     => '',
					 ) );
				?>
			</nav>
			<?php endif; ?><!-- .mobile .top-menu -->			
						
			<?php if( get_theme_mod( 'daze_copyright' ) ) : ?>
			<div class="copyright">				
				<?php echo esc_html( get_theme_mod( 'daze_copyright' ) ); ?>
			</div>
			<?php endif; ?><!-- .mobile .copyright -->
		</div>
	</div><!-- .mobile.top-bar -->
	
	<?php 
		$search_button_top = get_theme_mod( 'daze_show_search_in_top', 1 );
		$social_links_top = get_theme_mod( 'daze_social_in_topbar', 1 );
		
		if( has_nav_menu( 'top' ) || get_bloginfo('description') || $search_button_top || $social_links_top ) :
	?>
	<div class="desktop top-bar clearfix">	
		<?php if( has_nav_menu( 'top' ) ) : ?>
		<nav class="top-menu" aria-label="<?php esc_attr_e( 'Top Menu', 'daze' ); ?>">
			<?php
				wp_nav_menu( array(
					'theme_location' => 'top',
					'container'     => '',
				 ) );
			?>
		</nav>
		<?php endif; ?><!-- .desktop .top-menu -->		
		
		<?php if( get_bloginfo('description') ) : ?>
		<div class="tagline">				
			<?php echo get_bloginfo('description', 'display'); ?>
		</div>
		<?php endif; ?><!-- .desktop .tagline -->
		
		<?php		
		if( $search_button_top || $social_links_top ) :
		?>
		<div class="right">
			<?php if( get_theme_mod( 'daze_show_search_in_top', 1 ) ) : ?>
			<div class="search-button">
				<?php esc_html_e( 'Search', 'daze' ); ?> <span class="search icon"></span>
			</div>
			<?php endif; ?>
			
			<?php if( get_theme_mod( 'daze_social_in_topbar', 1 ) ) : ?>
			<div class="social">				
				<?php echo daze_get_social_profiles(true, false); ?>
			</div>
			<?php endif; ?>
		</div><!-- .desktop .right -->
	<?php
		get_search_form();		
		endif;
	?>		
	</div><!-- .desktop.top-bar -->
	<?php endif; ?>
	
	<div id="central-wrapper" class="clearfix" <?php if( is_404() && $page_404_bgr = get_theme_mod( 'daze_page_404_bgr' ) ) printf( 'style="background-image:url(\'%s\')"', esc_url($page_404_bgr) ); ?>>
		<div id="site-header">
			<div class="content-wrapper">
				<div class="site-logo">
					<?php daze_show_site_logo(); ?>
				</div>			
			</div><!-- site logo -->
			
			<?php if( has_nav_menu( 'main' ) ) : ?>
			<nav class="main-menu clearfix" aria-label="<?php esc_attr_e( 'Main Menu', 'daze' ); ?>">
				<?php
					wp_nav_menu( array(
						'theme_location' => 'main',
						'container'     => '',
					 ) );
				?>
			</nav>
			<?php endif; ?><!-- main menu -->
		</div><!-- #site-header -->
		
		<?php
		$slider_on = get_theme_mod( 'daze_nwps_on', false );
		$slider_on_page = false;
		if( is_page() ) {
			$slider_on_page = daze_pages_get_meta( 'daze_pages_show_nwps', false );
		}
		
		if( ( $slider_on && is_home() ) || $slider_on_page ) :
			$slider_type = get_theme_mod( 'daze_nwps_type', 'columns' );
		?>
		<div id="nwps"><div class="nwps-wrapper">
			<div class="nwps-loader"></div>
			<?php ( $slider_type === 'columns' ) ? daze_post_slider_columns() : daze_post_slider_simple(); ?>
		</div></div>
		<?php endif; ?>