<?php
/* ==========================================================================
	Filters and hooks
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */

/* 	Add a pingback url auto-discovery header for singularly identifiable articles.
   ========================================================================== */
	if ( !function_exists( 'daze_pingback_header' ) ) :
	function daze_pingback_header() {
		if ( is_singular() && pings_open( get_queried_object() ) ) {
			printf(
				'<link rel="pingback" href="%s">',
				get_bloginfo( 'pingback_url', 'display' )
			);
		}
	}
	endif;
	add_action( 'wp_head', 'daze_pingback_header' );	
	
/* 	Adds custom classes to the array of body classes.
   ========================================================================== */
	if ( !function_exists( 'daze_body_classes' ) ) :
	function daze_body_classes( $daze_body_class ) {
		$daze_body_class[] = '';
		$blog_layout_type = get_theme_mod( 'daze_blog_layout_type', 'masonry' );
		
		if( is_home() || is_archive() || is_search() ) {
			$blog_layout_width = get_theme_mod( 'daze_blog_layout_width', 'narrow' );
				
			if( is_tag() && get_theme_mod( 'daze_custom_tag_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_tag_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_tag_layout_width', 'narrow' );
				
			} else if( is_date() && get_theme_mod( 'daze_custom_date_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_date_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_date_layout_width', 'narrow' );
				
			} else if( is_author() && get_theme_mod( 'daze_custom_author_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_author_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_author_layout_width', 'narrow' );
				
			} else if( is_category() && get_theme_mod( 'daze_custom_category_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_category_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_category_layout_width', 'narrow' );
				
			} else if( is_search() && get_theme_mod( 'daze_custom_search_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_search_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_search_layout_width', 'narrow' );
				
			} else if( is_archive() && get_theme_mod( 'daze_custom_archives_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_archives_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_archives_layout_width', 'narrow' );
				
			}
			
			if( 'standard-list' != $blog_layout_type ) :
				$daze_body_class[] = 'masonry';
				if( $blog_layout_width === 'full-width' ) {
					$daze_body_class[] = 'full-width';
				}
			endif;
		}
		
		if( is_home() && ( 'standard-list' === $blog_layout_type ) && ( 'full-posts' === get_theme_mod( 'daze_post_length' ) ) ) {
			$daze_body_class[] = 'full-posts';
		}
		
		return $daze_body_class;
	}
	endif;
	add_filter( 'body_class', 'daze_body_classes' );
	
/* 	Adds custom classes to the array of post classes.
   ========================================================================== */
	if ( !function_exists( 'daze_post_classes' ) ) :
	function daze_post_classes( $daze_post_class ) {
		
		$daze_post_class[] = '';
		
		$blog_layout_width = get_theme_mod( 'daze_blog_layout_width', 'narrow' );
		
		if( is_home() || is_archive() || is_search() ) {
			$blog_layout_type = get_theme_mod( 'daze_blog_layout_type', 'masonry' );
			$post_format = get_post_format();
				
			if( is_tag() && get_theme_mod( 'daze_custom_tag_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_tag_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_tag_layout_width', 'narrow' );
				
			} else if( is_date() && get_theme_mod( 'daze_custom_date_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_date_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_date_layout_width', 'narrow' );
				
			} else if( is_author() && get_theme_mod( 'daze_custom_author_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_author_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_author_layout_width', 'narrow' );
				
			} else if( is_category() && get_theme_mod( 'daze_custom_category_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_category_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_category_layout_width', 'narrow' );
				
			} else if( is_search() && get_theme_mod( 'daze_custom_search_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_search_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_search_layout_width', 'narrow' );
				
			} else if( is_archive() && get_theme_mod( 'daze_custom_archives_layout', false ) ) {
				$blog_layout_type = get_theme_mod( 'daze_archives_layout_type', 'tiny' );
				$blog_layout_width = get_theme_mod( 'daze_archives_layout_width', 'narrow' );
			}
			
			if(
				"masonry-mini" === $blog_layout_type
				|| (
					"masonry" === $blog_layout_type
					&& ( "link" === $post_format || "quote" === $post_format || "image" === $post_format )
					)
			) {
				$daze_post_class[] = 'cover-item';
			}
		}
		
		if(
			is_single() || is_page()
			|| (
				is_home()
				&& ( $blog_layout_type === "standard-list" )
				&& ( get_theme_mod( 'daze_post_length' ) === "full-posts" )
			)
		) {
			if( get_theme_mod( 'daze_drop_caps' ) || daze_get_meta( 'daze_drop_caps' ) ) {
				$daze_post_class[] = 'drop-caps';
			}
			
			if( get_theme_mod( 'daze_enlarge_galleries' ) || daze_get_meta( 'daze_enlarge_galleries' ) ) {
				$daze_post_class[] = 'enlarge-galleries';
			}
			
			if( get_theme_mod( 'daze_enlarge_media' ) || daze_get_meta( 'daze_enlarge_media' ) ) {
				$daze_post_class[] = 'enlarge-media';
			}
		}		
		
		return $daze_post_class;
	}
	endif;
	add_filter( 'post_class', 'daze_post_classes' );

/* 	The "read more" link
   ========================================================================== */
	if ( !function_exists( 'daze_read_more' ) ) :
	function daze_read_more( $more ) {
		return sprintf( '...<div><a class="read-more button-link" href="%1$s">%2$s</a></div>',
			esc_url( get_permalink( get_the_ID() ) ),
			esc_html__( 'Read More', 'daze' )
		);
	}
	endif;
	add_filter( 'excerpt_more', 'daze_read_more' );
	
/*	Additional image size
   ========================================================================== */
	if ( !function_exists( 'daze_img_sizes' ) ) :
		function daze_img_sizes( $sizes ) {
			return array_merge( $sizes, array(
				'daze_wrapper_width' => esc_html__( 'Extra large', 'daze' )
			) );
		}
	endif;
	add_filter( 'image_size_names_choose', 'daze_img_sizes' );

/*	Add title attribute to attachment image
   ========================================================================== */
	if ( !function_exists( 'daze_title_to_attachment' ) ) :
		function daze_title_to_attachment( $attr, $attachment ) {
			$attr['title'] = esc_attr( $attachment->post_title );
			return $attr;
		}
	endif;
	add_filter( 'wp_get_attachment_image_attributes', 'daze_title_to_attachment', 10, 2 );	

/*	Custom gallery output
   ========================================================================== */
	if ( !function_exists( 'daze_gallery_slider' ) ) :
		function daze_gallery_slider( $gallery_output, $attr ) {
			global $post;

			if ( isset($attr['orderby']) ) {
				$attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
				if (!$attr['orderby']) {
					unset($attr['orderby']);
				}
			}

			extract( shortcode_atts(
				array(
					'order' => 'ASC',
					'orderby' => 'post__in',
					'id' => $post->ID,
					'size' => 'daze_small',
					'include' => '',
					'exclude' => ''
				), $attr )
			);

			$id = intval($id);
			if ( 'RAND' == $order )
			  $orderby = 'none';

			if (!empty($include)) {
				$include = preg_replace('/[^0-9,]+/', '', $include);
				$_attachments = get_posts(
					array(
						'include' => $include,
						'post_status' => 'inherit',
						'post_type' => 'attachment',
						'post_mime_type' => 'image',
						'order' => $order,
						'orderby' => $orderby
					)
				);

				$attachments = array();
				foreach ($_attachments as $key => $val) {
					$attachments[$val->ID] = $_attachments[$key];
				}
			}

			if ( empty($attachments) ) return '';

			$gallery_output = '<div class="gallery-slider">';
			
			foreach ($attachments as $id => $attachment) {
				$img_thumb = wp_get_attachment_image_src( $id, 'daze_small' );
				$img_caption = $attachment->post_excerpt;

				$gallery_output .= '<div data-thumb="' . esc_url( $img_thumb[0] ) . '" class="gallery-item">';
				$gallery_output .= wp_get_attachment_image( $id, 'daze_wrapper_width' );
				$gallery_output .= '<span class="caption">' . esc_html( $img_caption ) . '</span>';
				$gallery_output .= '</div>';
			}
			
			$gallery_output .= '</div>';
			
			return $gallery_output;
		}
	endif;
	add_filter( 'post_gallery', 'daze_gallery_slider', 10, 3 );


/*	Custom columns on pages list
   ========================================================================== */
// Featured image
	if ( !function_exists( 'daze_pages_list_featured_img' ) ) :
		function daze_pages_list_featured_img( $columns ) {
			
		// Slice current columns
			$before_thumb = array_slice( $columns , 0, 2 );
			$after_thumb = array_slice( $columns , 2 );
			
		// Name the new one
			$thumb['daze_page_featured_img'] = esc_html__( 'Featured Image', 'daze' );
			
		// Merge the pieces and set the order
			$columns = array_merge( $before_thumb, $thumb, $after_thumb );

			return $columns;
		}
	endif;
	add_filter( 'manage_pages_columns', 'daze_pages_list_featured_img' );
	 
	if ( !function_exists( 'daze_pages_list_featured_img_display' ) ) :  
		function daze_pages_list_featured_img_display( $column_name, $post_id ) {	
			switch($column_name){	  
				case 'daze_page_featured_img':
					if ( $featured_img = get_the_post_thumbnail( $post_id, 'thumbnail' ) ) {
						echo $featured_img;
					}
				break;	 
			}
		}
	endif;
	add_action( 'manage_pages_custom_column', 'daze_pages_list_featured_img_display', 10, 2 );


/* Custom columns on posts list
   ========================================================================== */
// Featured image
	if ( !function_exists( 'daze_posts_list_featured_img' ) ) :
		function daze_posts_list_featured_img($columns){
			$before_thumb = array_slice( $columns , 0, 2 );
			$after_thumb = array_slice( $columns , 2 );	
			$thumb['daze_post_featured_img'] = esc_html__( 'Featured Image', 'daze' );
			
			$columns = array_merge( $before_thumb, $thumb, $after_thumb );

			return $columns;
		}
	endif;
	add_filter('manage_posts_columns', 'daze_posts_list_featured_img', 5);

	if ( !function_exists( 'daze_posts_list_featured_img_display' ) ) :
		function daze_posts_list_featured_img_display($column_name, $post_id){
			switch($column_name){
				case 'daze_post_featured_img':
					if ( $featured_img = get_the_post_thumbnail( $post_id, 'thumbnail' ) ) {
						echo $featured_img;
					}
				break;
			}
		}
	endif;
	add_action('manage_posts_custom_column', 'daze_posts_list_featured_img_display', 5, 2);

// Posts slider image
	if ( !function_exists( 'daze_posts_list_nwps_img' ) ) :
		function daze_posts_list_nwps_img($columns){
			$before_slider_img = array_slice( $columns , 0, 3 );
			$after_slider_img = array_slice( $columns , 3 );	
			$nwps_img['daze_nwps_img'] = esc_html__( 'Slider image', 'daze' );
			
			$columns = array_merge( $before_slider_img, $nwps_img, $after_slider_img );
			
			$fp_args = array (
				'post_type' => 'post',
				'posts_per_page' => get_theme_mod( 'daze_nwps_num_of_posts' ),
				'meta_query' => array(
					array(
						'key'     => 'daze_posts_show_in_nwps',
						'value'   => 'show-in-nwps',
						'compare' => '='
					)
				)
			);
			$nwps_posts = wp_get_recent_posts( $fp_args );
			
			global $nwps_ids;
			$nwps_ids = [];
			foreach( $nwps_posts as $nwps_post ) {
				array_push( $nwps_ids, $nwps_post['ID'] );
			}

			return $columns;
		}
	endif;
	add_filter('manage_post_posts_columns', 'daze_posts_list_nwps_img', 5); 

	if ( !function_exists( 'daze_posts_list_nwps_img_display' ) ) :
		function daze_posts_list_nwps_img_display($column_name, $post_id) {
			if( $column_name == 'daze_nwps_img' ) :
				$show_in_nwps = daze_posts_get_meta( 'daze_posts_show_in_nwps' ) ? daze_posts_get_meta( 'daze_posts_show_in_nwps' ) : true;				
				
				global $nwps_ids;
				$in_nwps = in_array( $post_id, $nwps_ids);
				
				if($show_in_nwps) {
					if( !$in_nwps ) {
						echo '<span style="opacity: 0.2;">';
					}
					
					if( $nwps_img_id = daze_posts_get_meta( 'daze_posts_nwps_image_id' ) ) {
						echo wp_get_attachment_image( $nwps_img_id, 'thumbnail' );
						
					} else if( $featured_img = get_the_post_thumbnail( $post_id, 'thumbnail' ) ) {
						echo $featured_img;
						
					} else {
						echo '<div style="width:60px; height:60px; background-color:' . esc_attr( get_theme_mod( 'daze_bgr_pattern_color', '#111' ) ) . '">';
						if( $bgr_pattern = get_theme_mod( 'daze_bgr_pattern' ) ) {
							echo daze_get_img_by_url( esc_url( $bgr_pattern ), 'thumbnail' );
						}
						echo '</div>';
					}
						
					if( !$in_nwps ) {
						echo '</span>';
					}
				}
			endif;
		}
	endif;
	add_action('manage_post_posts_custom_column', 'daze_posts_list_nwps_img_display', 5, 2);
	
	
/*	Open Graph meta tags
   ========================================================================== */
	if( get_theme_mod( 'daze_include_og' ) ) {
		if(!function_exists('daze_add_og_xml_ns')) :
			function daze_add_og_xml_ns($content) {
			  return ' xmlns:og="http://ogp.me/ns#" ' . $content;
			}
		endif;
		add_filter('language_attributes', 'daze_add_og_xml_ns');

		if(!function_exists('daze_add_fb_xml_ns')) :
			function daze_add_fb_xml_ns($content) {
			  return ' xmlns:fb="https://www.facebook.com/2008/fbml" ' . $content;
			}
		endif;
		add_filter('language_attributes', 'daze_add_fb_xml_ns');

		if(!function_exists('daze_og_meta_tags')) :
			function daze_og_meta_tags() {
				if ( !is_singular() ) {
					return;
				}
				echo '<meta property="og:url" content="' . rawurlencode( get_the_permalink() ) . '"/>';
				echo '<meta property="og:type" content="article"/>';
				echo '<meta property="og:title" content="' . get_the_title() . '"/>';
				echo '<meta property="og:description" content="'. strip_tags( get_the_excerpt( get_the_ID() ) ) .'" />';
				echo '<meta property="og:site_name" content="' . get_bloginfo( 'name' ) . '"/>';
				
				if( has_post_thumbnail( get_the_ID() ) ) {
					$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'daze_wrapper_width' )[0];
					
				} else if( get_theme_mod( 'daze_og_image' ) ) {
					$thumbnail_src = get_theme_mod( 'daze_og_image' );
				}				
				if($thumbnail_src) {
					echo '<meta property="og:image" content="' . esc_url( $thumbnail_src ) . '"/>';
				}
				
				echo '<meta property="og:image:width" content="1140"/>';
			}
		endif;
		add_action( 'wp_head', 'daze_og_meta_tags', 5 );
	}	
	
/*	Modify categories list output
   ========================================================================== */
	if(!function_exists('daze_cat_list')) :
		function daze_cat_list($links) {
		  $links = str_replace('</a> (', '</a> <span class="count">', $links);
		  $links = str_replace(')', '</span>', $links);
		  return $links;
		}
	endif;
	add_filter('wp_list_categories', 'daze_cat_list');	
	
/* Modify tag cloud
   ========================================================================== */
	if(!function_exists('daze_tag_cloud')) :
		function daze_tag_cloud( $args ) {
			$args['largest'] = 12;
			$args['smallest'] = 12;
			$args['unit'] = 'px';
			$args['number'] = '12';
			$args['separator'] = '';
			$args['link'] = 'view';
			
			return $args;
		}
	endif;
	add_filter( 'widget_tag_cloud_args', 'daze_tag_cloud' );	
?>