<?php
/* ==========================================================================
	Register of scripts and styles used in theme
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */

/* Front end
   ========================================================================== */   
// Fonts
	if( !function_exists( 'daze_fonts_url' ) ) :
		function daze_fonts_url() {
			$fonts_url = '';
			
		/* Translators: If there are characters in your language that are not
		* supported by Poppins, translate this to 'off'. Do not translate
		* into your own language.
		*/			
			$poppins = esc_attr_x( 'on', 'Poppins font: on or off', 'daze' );
 
			if ( 'off' !== $poppins ) {
				$fonts_url = add_query_arg( 'family', rawurlencode( 'Poppins:400,500,600,700,300&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
			}
			
			return esc_url_raw( $fonts_url );
		}
	endif;
	
// Scripts and styles
	if ( !function_exists( 'daze_frontend_register' ) ) :
		function daze_frontend_register() {	
			
		// Assets
			wp_register_style( 'daze_assets_slick_slider', get_template_directory_uri() . '/assets/slick/slick.css' );
			wp_register_script( 'daze_assets_slick_slider', get_template_directory_uri() . '/assets/slick/slick.min.js', array('jquery'), '', true );
			wp_register_script( 'daze_assets_images_loaded', get_template_directory_uri() . '/assets/images-loaded/imagesloaded.pkgd.js', array('jquery'), '', true );
			wp_register_script( 'daze_assets_infinite_scroll', get_template_directory_uri() . '/assets/infinite-scroll/jquery.infinitescroll.min.js', array('jquery'), '', true );
			wp_register_script( 'daze_assets_masonry', get_template_directory_uri() . '/assets/masonry/masonry.pkgd.min.js', array('jquery'), '', true );
			wp_register_script(
				'daze_assets_fb_sdk',
				get_template_directory_uri() . '/assets/social/fb-sdk.js',
				null,
				'',
				true
			);
			
		// Main
			wp_register_style( 'daze_main', get_stylesheet_uri() );
			wp_register_script(
				'daze_main', get_template_directory_uri() . '/js/main.js',
				array('jquery'),
				false,
				true
			);
			
		// Share selected text
			wp_register_script(
				'daze_share_selection', get_template_directory_uri() . '/js/share-selection.js',
				array('jquery'),
				false,
				true
			);
			
		// Posts List
			wp_register_script(
				'daze_infinite_scroll',
				get_template_directory_uri() . '/js/infinite-scroll.js',
				array( 'jquery', 'daze_assets_images_loaded', 'daze_assets_infinite_scroll', 'daze_assets_masonry' ),
				'',
				true
			);
			
			wp_register_script(
				'daze_masonry_layout',
				get_template_directory_uri() . '/js/masonry-layout.js',
				array( 'jquery', 'daze_assets_images_loaded', 'daze_assets_masonry' ),
				'',
				true
			);
			
		// Gallery
			wp_register_style(
				'daze_gallery',
				get_template_directory_uri() . '/css/gallery-slider.css',
				array( 'daze_assets_slick_slider' )
			);
			
			wp_register_script(
				'daze_gallery',
				get_template_directory_uri() . '/js/gallery-slider.js',
				array( 'jquery', 'daze_assets_slick_slider' ),
				'',
				true
			);
			
		// Posts sliders
			wp_register_style(
				'daze_post_slider',
				get_template_directory_uri() . '/css/posts-slider.css',
				array( 'daze_assets_slick_slider' )
			);
			
			wp_register_script(
				'daze_post_slider_columns',
				get_template_directory_uri() . '/js/posts-slider-columns.js',
				array( 'jquery', 'daze_assets_slick_slider' ),
				'',
				true
			);
			
			wp_register_script(
				'daze_post_slider_simple',
				get_template_directory_uri() . '/js/posts-slider-simple.js',
				array( 'jquery','daze_assets_slick_slider' ),
				'',
				true
			);
			
		// Widgets
			wp_register_script(
				'daze_instagram_grid',
				get_template_directory_uri() . '/admin/widgets/js/instagram-grid.js',
				array( 'jquery', 'daze_assets_images_loaded' ),
				'',
				true
			);
			
			wp_register_script(
				'daze_instagram_carousel',
				get_template_directory_uri() . '/admin/widgets/js/instagram-carousel.js',
				array( 'jquery', 'daze_assets_slick_slider' ),
				'',
				true
			);
			
			wp_register_style( 'daze_top_posts', get_template_directory_uri() . '/admin/widgets/css/top-posts-slider.css' );
			
			wp_register_script(
				'daze_top_posts',
				get_template_directory_uri() . '/admin/widgets/js/top-posts-slider.js',
				array( 'jquery', 'daze_assets_slick_slider' ),
				'',
				true
			);
			
			wp_register_style( 'daze_latest_comments', get_template_directory_uri() . '/admin/widgets/css/latest-comments.css' );
			
		// Dynamic styles
			wp_register_style( 'daze_dynamic_styles', get_template_directory_uri() . '/css/dynamic-styles.css' );
			
		// Google maps
			$google_maps_api_key = get_theme_mod( 'daze_google_maps_api_key' );
			wp_register_script(
				'mapAPI',
				'https://maps.googleapis.com/maps/api/js?v=3&key='.$google_maps_api_key,
				array('jquery'),
				null,
				true
			);
			wp_register_script(
				'daze_gmap_coords',
				get_template_directory_uri() . '/js/gmap-coords.js',
				array( 'jquery', 'mapAPI' ),
				'',
				true
			);
			wp_register_script(
				'daze_gmap_address',
				get_template_directory_uri() . '/js/gmap-addr.js',
				array( 'jquery', 'mapAPI' ),
				'',
				true
			);
			
			wp_enqueue_script( 'jquery-ui-draggable' );
			wp_enqueue_style( 'daze-fonts', daze_fonts_url(), array(), '1.0.0' );			
			wp_enqueue_style( 'daze_main' );
			wp_enqueue_style( 'daze_dynamic_styles' );
			wp_enqueue_script( 'daze_main' );			
			
		// Enable threaded comments
			if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
				wp_enqueue_script( 'comment-reply' );
			}			
			
			if( get_theme_mod( 'daze_allow_fb_comments', 1 ) || is_active_widget( false, false, 'daze_fb_badge', true ) ) {
				wp_enqueue_script( 'daze_assets_fb_sdk' );
			}
			
		// Enqueue script for shareable text-selection, if it's enabled via customizer			
			if( get_theme_mod( 'daze_selection_share_on', true ) ) {
				wp_enqueue_script( 'daze_share_selection' );
			}
			
		// 	Enqueue scripts for posts lists
			if( is_home() || is_archive() || is_search() ) {
				global $wp_query;
				
				$daze_pagination_type = get_theme_mod( 'daze_pagination_type', 'infinite_scroll' );
				$daze_blog_layout_type = get_theme_mod( 'daze_blog_layout_type', 'masonry' );
				
				if( is_tag() && get_theme_mod( 'daze_custom_tag_layout', false ) ) {
					$daze_pagination_type = get_theme_mod( 'daze_tag_pagination_type', 'infinite_scroll' );
					$daze_blog_layout_type = get_theme_mod( 'daze_tag_layout_type', 'tiny' );
					
				} else if( is_date() && get_theme_mod( 'daze_custom_date_layout', false ) ) {
					$daze_pagination_type = get_theme_mod( 'daze_date_pagination_type', 'infinite_scroll' );
					$daze_blog_layout_type = get_theme_mod( 'daze_date_layout_type', 'tiny' );
					
				} else if( is_author() && get_theme_mod( 'daze_custom_author_layout', false ) ) {
					$daze_pagination_type = get_theme_mod( 'daze_author_pagination_type', 'infinite_scroll' );
					$daze_blog_layout_type = get_theme_mod( 'daze_author_layout_type', 'tiny' );
					
				} else if( is_category() && get_theme_mod( 'daze_custom_category_layout', false ) ) {
					$daze_pagination_type = get_theme_mod( 'daze_category_pagination_type', 'infinite_scroll' );
					$daze_blog_layout_type = get_theme_mod( 'daze_category_layout_type', 'tiny' );
					
				} else if( is_search() && get_theme_mod( 'daze_custom_search_layout', false ) ) {
					$daze_pagination_type = get_theme_mod( 'daze_search_pagination_type', 'infinite_scroll' );
					$daze_blog_layout_type = get_theme_mod( 'daze_search_layout_type', 'tiny' );
					
				} else if( is_archive() && get_theme_mod( 'daze_archives_layout_type', false ) ) {
					$daze_pagination_type = get_theme_mod( 'daze_archives_pagination_type', 'infinite_scroll' );
					$daze_blog_layout_type = get_theme_mod( 'daze_archive_layout_type', 'tiny' );
					
				}
				
				if( $daze_pagination_type === 'infinite_scroll' ) {				
					if( is_home() && ( 'masonry' === $daze_blog_layout_type || 'masonry-mini' === $daze_blog_layout_type ) ) {
						if( get_theme_mod( 'daze_inc_latest_comments_box', false ) ) {
							wp_enqueue_style( 'daze_latest_comments' );
						}
								
						if( get_theme_mod( 'daze_inc_top_posts_box', false ) ) {
							wp_enqueue_style( 'daze_top_posts' );
							wp_enqueue_script( 'daze_top_posts' );
						}
					}
					
					$infinite = array(
						'share_selection' => ( get_theme_mod( 'daze_selection_share_on', true ) === true ? true : false ),
						'blog_layout_type' => $daze_blog_layout_type,
						'max_pages' => $wp_query->max_num_pages
					);
					wp_localize_script( 'daze_infinite_scroll', 'infinite', $infinite );
					wp_enqueue_script( 'daze_infinite_scroll' );
					wp_enqueue_style( 'daze_gallery' );
					wp_enqueue_script( 'daze_gallery' );
					
				} else if( ( 'standard-list' != $daze_blog_layout_type ) && 'standard_pagination' === $daze_pagination_type ) {
					wp_enqueue_script( 'daze_masonry_layout' );					
				}
			}
			
		// Enqueue Google Map scripts for contact page
			if( is_page_template( 'page-templates/contact.php' ) ) {
				$pin = ( $get_pin_id = daze_pages_get_meta( 'daze_contact_gmap_pin_id' ) )
				? wp_get_attachment_image_src( $get_pin_id, 'full' )[0]
				: 'http://www.google.com/intl/en_us/mapfiles/ms/micons/blue-dot.png';
				
				$pin_title = ( $get_pin_title = daze_pages_get_meta( 'daze_contact_gmap_pin_title' ) )
				? $get_pin_title
				: '';
				
				$address = daze_pages_get_meta( 'daze_contact_gmap_addr' );
				$lat = daze_pages_get_meta( 'daze_contact_gmap_lat' );
				$lng = daze_pages_get_meta( 'daze_contact_gmap_lng' );
				
				if( $lat && $lng ) {	
					$args = array(
						'pin' => $pin,
						'title' => $pin_title,
						'lat' => $lat,
						'lng' => $lng
					);
						
					wp_localize_script('daze_gmap_coords', 'mapargs', $args );
					wp_enqueue_script( 'daze_gmap_coords' );
					
				} else if( $address ) {
					$args = array(
						'pin' => $pin,
						'title' => $pin_title,
						'addr' => $address
					);
						
					wp_localize_script( 'daze_gmap_address', 'mapargs', $args );
					wp_enqueue_script( 'daze_gmap_address' );
				}
			}
			
		// Enqueue scripts for simple posts slider
			if( get_theme_mod( 'daze_nwps_on', false ) && ( is_home() || ( is_page() && daze_pages_get_meta( 'daze_pages_show_nwps', false ) ) ) ) {
				
				$nwps_args = array(
					'autoplay' => ( get_theme_mod( 'daze_nwps_autoplay', true ) === true ) ? true : false,
				);
				
				wp_enqueue_style( 'daze_post_slider' );
				
				if( get_theme_mod( 'daze_nwps_type', 'columns' ) === 'columns' ) {
					wp_localize_script( 'daze_post_slider_columns', 'nwps_args', $nwps_args );
					wp_enqueue_script( 'daze_post_slider_columns' );
					
				} else {
					wp_localize_script( 'daze_post_slider_simple', 'nwps_args', $nwps_args );
					wp_enqueue_script( 'daze_post_slider_simple' );
				}				
			}

		// Enqueue scripts for post gallery-slider
			wp_enqueue_style( 'daze_gallery' );
			wp_enqueue_script( 'daze_gallery' );
		}
	endif;
	add_action( 'wp_enqueue_scripts', 'daze_frontend_register' );

/* BACK END
   ========================================================================== */
	function daze_init_scripts_admin() {		
		wp_register_style( 'daze_metaboxes', get_template_directory_uri() . '/admin/metaboxes/css/metaboxes.css' );
		
		wp_register_script(
			'daze_metaboxes',
			get_template_directory_uri() . '/admin/metaboxes/js/metaboxes.js',
			array('jquery'),
			false,
			true
		);	
		
		wp_register_script(
			'daze_img_upload',
			get_template_directory_uri() . '/admin/js/img-upload.js',
			array('jquery'),
			false,
			true
		);
	}   
	add_action( 'admin_enqueue_scripts', 'daze_init_scripts_admin' );
?>