<?php
/* ==========================================================================
	Home page template, displaying the latest posts
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
	get_header();
	
	$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
	$latest_args = array(
		'post_type' => 'post',
		'post_status' => 'publish',
		'posts_per_page' => get_option( 'posts_per_page' ),
		'paged' => $paged,
		'ignore_sticky_posts' => 0
	);

	$latest_query = new WP_Query( $latest_args );
	
	if ( $latest_query->have_posts() ) :
		$post_order = 0;
		
		$blog_layout_type = get_theme_mod( 'daze_blog_layout_type', 'masonry' );
		$blog_layout_width = get_theme_mod( 'daze_blog_layout_width', 'narrow' );
		
		$include_sidebar = ( ( 'masonry' === $blog_layout_type || 'masonry-mini' === $blog_layout_type ) && ( 'full-width' === $blog_layout_width ) )
							? false
							: get_theme_mod( 'daze_include_sidebar', false );
	?>		
		<div class="clearfix main-holder content-wrapper">
			<div class="content-wrapper featured-area"></div>
			
			<?php
				$first_post = get_theme_mod('daze_first_post', 'nothing');
				
				if( 'nothing' != $first_post && 'full-width' != $blog_layout_width ) {
					$latest_query->the_post();
					
					$post_format = get_post_format();
				?>
					<div class="latest-enlarged">
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<?php
							get_template_part( 'template-parts/fullheader' );
							
							if( !( ( $post_format === "quote" || $post_format === "link" ) && 'enlarge_plus_excerpt' === $first_post ) ) {
								get_template_part( 'template-parts/featuredarea' );
							}
						?>
							
						<?php						
							if( 'enlarge_plus_full' === $first_post ) {
								get_template_part( 'template-parts/content', 'full' );
								
							} else if( !( "quote" === $post_format || "link" === $post_format ) ) {
								get_template_part( 'template-parts/content', 'excerpt' );
							}
						?>
						</article><!-- .post-content / .post-excerpt -->
					</div>
				<?php
				}
			?>
			
			<main id="main" <?php daze_main_class(); ?> >			
				<div <?php daze_layout_class(); ?>>
				<?php 
				if( 'masonry' === $blog_layout_type || 'masonry-mini' === $blog_layout_type ) :
				?>
					<div class="masonry-item-sizer"></div>
				<?php
					/* Special boxes
					========================================================================== */
					$inc_bnnr = get_theme_mod( 'daze_inc_bannerad_box', false );
					$inc_bnnr_2 = $inc_bnnr && get_theme_mod( 'daze_inc_bannerad_2', false );
					$inc_bnnr_3 = $inc_bnnr_2 && get_theme_mod( 'daze_inc_bannerad_3', false );
					$inc_bnnr_4 = $inc_bnnr_3 && get_theme_mod( 'daze_inc_bannerad_4', false );
					$inc_bnnr_5 = $inc_bnnr_4 && get_theme_mod( 'daze_inc_bannerad_5', false );
					
					if ( $inc_bnnr ) {
						$bnnr_start = absint( get_theme_mod( 'daze_bannerad_box_start', 3 ) );
						$bnnr_step = absint( get_theme_mod( 'daze_bannerad_box_interval', 5 ) );						
					}
					
					if ( $inc_bnnr_2 ) {
						$bnnr_2_start = absint( get_theme_mod( 'daze_bannerad_2_start', 3 ) );
						$bnnr_2_step = absint( get_theme_mod( 'daze_bannerad_2_interval', 5 ) );
					}
					
					if ( $inc_bnnr_3 ) {
						$bnnr_3_start = absint( get_theme_mod( 'daze_bannerad_3_start', 3 ) );
						$bnnr_3_step = absint( get_theme_mod( 'daze_bannerad_3_interval', 5 ) );
					}
					
					if ( $inc_bnnr_4 ) {
						$bnnr_4_start = absint( get_theme_mod( 'daze_bannerad_4_start', 3 ) );
						$bnnr_4_step = absint( get_theme_mod( 'daze_bannerad_4_interval', 5 ) );
					}
					
					if ( $inc_bnnr_5 ) {
						$bnnr_5_start = absint( get_theme_mod( 'daze_bannerad_5_start', 3 ) );
						$bnnr_5_step = absint( get_theme_mod( 'daze_bannerad_5_interval', 5 ) );
					}					
					
					$inc_soc = get_theme_mod( 'daze_inc_social_box', false );
					if ( $inc_soc ) {
						$soc_start = absint( get_theme_mod( 'daze_social_box_start', 3 ) );
						$soc_step = absint( get_theme_mod( 'daze_social_box_interval', 5 ) );
					}	
					
					$inc_tp = get_theme_mod( 'daze_inc_top_posts_box', false );
					if ( $inc_tp ) {
						$tp_start = absint( get_theme_mod( 'daze_top_posts_box_start', 3 ) );
						$tp_step = absint( get_theme_mod( 'daze_top_posts_box_interval', 5 ) );
					}
					
					$inc_lc = get_theme_mod( 'daze_inc_latest_comments_box', false );
					if ( $inc_lc ) {
						$lc_start = absint( get_theme_mod( 'daze_latest_comments_box_start', 3 ) );
						$lc_step = absint( get_theme_mod( 'daze_latest_comments_box_interval', 5 ) );
					}
				
					while ( $latest_query->have_posts() ) :
						$latest_query->the_post();
						
						$item_order = ($paged-1)*get_option( 'posts_per_page' ) + $post_order;						
						
						$show_bnnr_box = $inc_bnnr && ( ($item_order == $bnnr_start) || ( $item_order > $bnnr_start && ( ( $item_order - $bnnr_start ) % $bnnr_step === 0 ) ) );
						$show_bnnr_2 = $inc_bnnr_2 && ( ($item_order == $bnnr_2_start) || ( $item_order > $bnnr_2_start && ( ( $item_order - $bnnr_2_start ) % $bnnr_2_step === 0 ) ) );
						$show_bnnr_3 = $inc_bnnr_3 && ( ($item_order == $bnnr_3_start) || ( $item_order > $bnnr_3_start && ( ( $item_order - $bnnr_3_start ) % $bnnr_3_step === 0 ) ) );
						$show_bnnr_4 = $inc_bnnr_4 && ( ($item_order == $bnnr_4_start) || ( $item_order > $bnnr_4_start && ( ( $item_order - $bnnr_4_start ) % $bnnr_4_step === 0 ) ) );
						$show_bnnr_5 = $inc_bnnr_5 && ( ($item_order == $bnnr_5_start) || ( $item_order > $bnnr_5_start && ( ( $item_order - $bnnr_5_start ) % $bnnr_5_step === 0 ) ) );
						
						$show_soc_box = $inc_soc && ( ($item_order == $soc_start) || ( $item_order > $soc_start && ( ( $item_order - $soc_start ) % $soc_step == 0 ) ) );
						$show_tp_box = $inc_tp && ( ($item_order == $tp_start) || ( $item_order > $tp_start && ( ( $item_order - $tp_start ) % $tp_step === 0 ) ) );
						$show_lc_box = $inc_lc && ( ( $item_order == $lc_start ) || ( $item_order > $lc_start && ( ( $item_order - $lc_start ) % $lc_step === 0 ) ) );
						
					// Image box
						if( $show_bnnr_box && ( $bannerad_box_img_src = get_theme_mod( 'daze_bannerad_box_img' ) ) ) :
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item image-box">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php
								if( $bannerad_box_img_src ) :
									$bannerad_box_image = daze_giffy_attachment( daze_get_post_id_by_url( $bannerad_box_img_src ), 'medium_large' );
									
									if( $bannerad_box_link = get_theme_mod( 'daze_bannerad_box_link' ) ) :
									?>
										<a href="<?php echo esc_url( $bannerad_box_link ); ?>" >
											<?php echo $bannerad_box_image; ?>
										</a>
									<?php
									else :
										echo $bannerad_box_image;
									endif;
								endif;
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					// Image box 2
						if( $show_bnnr_2 && ( $bannerad_2_img_src = get_theme_mod( 'daze_bannerad_2_img' ) ) ) :
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item image-box">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php
								if( $bannerad_2_img_src ) :
									$bannerad_2_image = daze_giffy_attachment( daze_get_post_id_by_url( $bannerad_2_img_src ), 'medium_large' );
									
									if( $bannerad_2_link = get_theme_mod( 'daze_bannerad_2_link' ) ) :
									?>
										<a href="<?php echo esc_url( $bannerad_2_link ); ?>" >
											<?php echo $bannerad_2_image; ?>
										</a>
									<?php
									else :
										echo $bannerad_2_image;
									endif;
								endif;
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					// Image box 3
						if( $show_bnnr_3 && ( $bannerad_3_img_src = get_theme_mod( 'daze_bannerad_3_img' ) ) ) :
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item image-box">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php
								if( $bannerad_3_img_src ) :
									$bannerad_3_image = daze_giffy_attachment( daze_get_post_id_by_url( $bannerad_3_img_src ), 'medium_large' );
									
									if( $bannerad_3_link = get_theme_mod( 'daze_bannerad_3_link' ) ) :
									?>
										<a href="<?php echo esc_url( $bannerad_3_link ); ?>" >
											<?php echo $bannerad_3_image; ?>
										</a>
									<?php
									else :
										echo $bannerad_3_image;
									endif;
								endif;
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					// Image box 4
						if( $show_bnnr_4 && ( $bannerad_4_img_src = get_theme_mod( 'daze_bannerad_4_img' ) ) ) :
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item image-box">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php
								if( $bannerad_4_img_src ) :
									$bannerad_4_image = daze_giffy_attachment( daze_get_post_id_by_url( $bannerad_4_img_src ), 'medium_large' );
									
									if( $bannerad_4_link = get_theme_mod( 'daze_bannerad_4_link' ) ) :
									?>
										<a href="<?php echo esc_url( $bannerad_4_link ); ?>" >
											<?php echo $bannerad_4_image; ?>
										</a>
									<?php
									else :
										echo $bannerad_4_image;
									endif;
								endif;
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					// Image box 5
						if( $show_bnnr_5 && ( $bannerad_5_img_src = get_theme_mod( 'daze_bannerad_5_img' ) ) ) :
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item image-box">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php
								if( $bannerad_5_img_src ) :
									$bannerad_5_image = daze_giffy_attachment( daze_get_post_id_by_url( $bannerad_5_img_src ), 'medium_large' );
									
									if( $bannerad_5_link = get_theme_mod( 'daze_bannerad_5_link' ) ) :
									?>
										<a href="<?php echo esc_url( $bannerad_5_link ); ?>" >
											<?php echo $bannerad_5_image; ?>
										</a>
									<?php
									else :
										echo $bannerad_5_image;
									endif;
								endif;
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					// Social box
						if( $show_soc_box ) :
							$social_box_desc = get_theme_mod( 'daze_social_box_desc', esc_html__( 'Follow me', 'daze' ) );
							$social_box_heading = get_theme_mod( 'daze_social_box_heading', esc_html__( 'Connect', 'daze' ) );
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item social">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php
								if( $social_box_desc ) :
								?>
									<h6><?php echo esc_html( $social_box_desc ); ?></h6>
								<?php
								endif;
								
								if( $social_box_heading ) :
								?>
									<h2><?php echo esc_html( $social_box_heading ); ?></h2>
								<?php
								endif;
								
								echo daze_get_social_profiles(false, false);
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					// Top posts
						if( $show_tp_box ) :
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item top-posts-box">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php							
								$instance = array(
									'tp_num_of_posts' => get_theme_mod( 'daze_top_posts_box_count', 4 ),
									'tp_show_latest' => get_theme_mod( 'daze_top_posts_box_latest', 1 ),
									'tp_show_popular' => get_theme_mod( 'daze_top_posts_box_popular', 1 ),
									'tp_hide_views' => get_theme_mod( 'daze_top_posts_hide_views', 0 ),
									'tp_hide_comments' => get_theme_mod( 'daze_top_posts_hide_comments', 0 ),
									'tp_hide_date' => get_theme_mod( 'daze_top_posts_hide_date', 0 )
								);
								
								the_widget( 'daze_top_posts', $instance );
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					// Latest comments
						if( $show_lc_box ) :
						?>	
						<div class="masonry-item-wrapper">
							<div class="masonry-item latest-comments-box">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content">
								<?php
								$instance = array(
									'tp_num_of_posts' => get_theme_mod( 'daze_latest_comments_box_count', 4 )
								);
								
								the_widget( 'daze_latest_comments', $instance );
								?>
								</div>
							</div>
						</div>
						<?php
						endif;
					
					/* Posts list
					========================================================================== */
				?>
						<div class="masonry-item-wrapper">
							<div class="masonry-item">
								<div class="drop-overlay pattern-bgr"></div>
								<div class="masonry-content"><?php
									get_template_part( 'template-parts/content', 'masonry' );
								?></div>
							</div>
						</div>
					<?php
						$post_order++;
					endwhile;
					
				else:
					while ( $latest_query->have_posts() ) :
						$latest_query->the_post();
						
						$post_format = get_post_format();						
						$post_length = get_theme_mod( 'daze_post_length' );	
					?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<?php
						get_template_part( 'template-parts/fullheader' );
						
						if( !( ( "quote" === $post_format || "link" === $post_format ) && 'post-excerpts' === $post_length ) ) {
							get_template_part( 'template-parts/featuredarea' );
						}
					?>
						
					<?php						
						if( 'full-posts' === $post_length ) {
							get_template_part( 'template-parts/content', 'full' );
							
						} else if( !( $post_format === "quote" || $post_format === "link" ) ) {
							get_template_part( 'template-parts/content', 'excerpt' );
						}
					?>
					</article><!-- .post-content / .post-excerpt -->
					<?php
					endwhile;
				endif;				
				?>
				</div>
				<?php
				daze_posts_pagination( $latest_query->max_num_pages,"2",$paged );
				
				wp_reset_postdata();			
			?>
				<div class="loading"><div class="loader"><div class="circle colored"></div><div class="circle transparent"></div></div></div>
				
			</main>
	<?php
		if ( true === $include_sidebar ) {
			get_sidebar();
		}
	?>
		</div>
	<?php
	endif;
	
	get_footer();
?>