"use strict";

var daze_gall_ratio = 0.54,
	daze_ratio_4_3 = 4/3, // 1.33
	daze_ratio_4_3 = 16/9; // 1.78

var $ = jQuery.noConflict();

$.fn.iframe_size = function() {
		var iframeSRC = $(this).attr("src");		
		
		// Ratio 16/9: Vimeo, YouTube, TED, DailyMotion, Animoto, WordPress.tv
		var iframe_16_9 = ( iframeSRC.indexOf("vimeo.com") >= 0 )
						|| ( iframeSRC.indexOf("youtube.com") >= 0 )
						|| ( iframeSRC.indexOf("ted.com") >= 0 )
						|| ( iframeSRC.indexOf("dailymotion.com") >= 0 )
						|| ( iframeSRC.indexOf("animoto.com") >= 0 )
						|| ( iframeSRC.indexOf("wordpress.tv") >= 0 )
						|| ( iframeSRC.indexOf("funnyordie.com") >= 0 )
						|| ( iframeSRC.indexOf("videopress.com") >= 0 );
		
		if( iframe_16_9 ) {
			$(this).attr({"height":$(this).width()/daze_ratio_4_3});
		}						
		
		// Ratio 4/3: KickStarter
		if( iframeSRC.indexOf("kickstarter.com") >= 0 ) {
			$(this).attr({"height":$(this).width()/daze_ratio_4_3});
		}			
		
		// Ratio 1/1: Vine
		if( iframeSRC.indexOf("vine.co") >= 0 ) {
			$(this).attr({"height":$(this).width()});
		}
		
		// SoundCloud
		if( iframeSRC.indexOf("soundcloud.com") >= 0 ) {
			if( iframeSRC.indexOf("visual=true") >= 0 ) {
				$(this).attr({"height":"450"});
				
			} else {
				$(this).attr({"height":"166"});
			}
		}			
		
		// MixCloud
		if( iframeSRC.indexOf("mixcloud.com") >= 0 ) {
			if( iframeSRC.indexOf("hide_cover=1") >= 0 ) {
				if( iframeSRC.indexOf("mini=1") >= 0 ) {
					$(this).attr({"height":"60"});
					
				} else {
					$(this).attr({"height":"120"});
				}
				
			} else {
				$(this).attr({"height":"400"});
			}
		}
		
		// AudioMack
		if( iframeSRC.indexOf("audiomack.com") >= 0 ) {
			$("#wrap.embed").css({"max-width":"none"});
			
			if( iframeSRC.indexOf("large") >= 0 ) {
				$(this).attr({"height":"250"});
				
			} else if( iframeSRC.indexOf("thin") >= 0 ) {
				$(this).attr({"height":"62"});
				
			} else {
				$(this).attr({"height":"110"});
			}
		}
	//});
}
	
jQuery( document ).ready( function($) {
	"use strict";	
	
	var main_w = $('#main').width(),
		content_w = $('#main .post-content').width(),
		top_bar_mobile_h = $('.mobile.top-bar').outerHeight(),
		top_bar_desktop_h = $('.desktop.top-bar').outerHeight(),
		footer_h = $('#site-footer').outerHeight(),
		central_wrapper = $('#central-wrapper');
	
// Assign data attribute to each cell for responsive tables
	$(".post-content table").each( function() {
		var table = $(this),
			thead = table.find("thead"),
			theaders = thead.find("th"),
			trows = table.find("tr");
			
		trows.each(function (index) {
			$(this).children().attr('data-th', function () {
				return theaders.eq($(this).index()).text();
			});
		});
	});
	
// Scroll to top
	$(window).scroll(function(){
		if ($(this).scrollTop() > 768) {
			$('#to-top').fadeIn();
			
		} else {
			$('#to-top').fadeOut();
		}
	});
	
	$('#to-top').click(function(){
		$('html, body').animate({scrollTop : 0},400);
		return false;
	});
	
// Central wrapper
	if( window.innerWidth < 1180 ) {
		central_wrapper.css({"min-height":window.innerHeight-top_bar_mobile_h-footer_h-10});
	}
	
	if( window.innerWidth >= 1180 ) {
		central_wrapper.css({"min-height":window.innerHeight-top_bar_desktop_h-footer_h-14});
	}
		
// Lists
	$('.post-content li').wrapInner('<span></span>');
		
// Top bar and menu
	var mobile_top_search_button = $(".top-bar.mobile .icon.search"),
		mobile_top_search = $(".top-bar.mobile .search-form"),
		desktop_top_search_button = $(".top-bar.desktop .search-button"),
		desktop_top_search = $(".top-bar.desktop .search-form"),
		no_results_search = $(".no-results .search-form"),
		search_results = $(".search-header .search-form"),
		menu_overlay_button = $(".top-bar.mobile .icon.menu"),
		menu_overlay = $(".top-bar.mobile .menu-overlay");
	
	no_results_search.addClass('animated-bgr');
	search_results.addClass('animated-bgr');
	
// Top bar search
	desktop_top_search.addClass('animated-bgr');
	
	desktop_top_search_button.on('click', function(e) {
		e.preventDefault();
		
		$(this).find('.icon').toggleClass("close");
		desktop_top_search.slideToggle(100).find('.search-field').focus();
	});
	
	$(document).on('click', function (e) {
		if ($(e.target).closest(desktop_top_search_button).length === 0 && $(e.target).closest(desktop_top_search).length === 0) {
			$(desktop_top_search).slideUp(100);
		}
	});
	
	$(document).keyup(function(e) {
	  if (e.keyCode === 27)
		  $(desktop_top_search).slideUp(100);
	});
	
	mobile_top_search_button.on('click', function(e) {
		e.preventDefault();
		
		$(this).toggleClass("close");
		mobile_top_search.fadeToggle();
	});
	
// Mobile menu overlay
	menu_overlay_button.on('click', function(e) {
		e.preventDefault();
		
		$(this).toggleClass("close");
		$('body').toggleClass("menu-overlay-active");		
		$('html').toggleClass("menu-overlay-active");
		
		menu_overlay.toggleClass("active").toggleClass("inactive");
		
		$('.top-bar.mobile .menu-overlay.active').animate({"height":window.innerHeight - $(".top-bar.mobile").outerHeight() - 4},300);
		$('.top-bar.mobile .menu-overlay.inactive').animate({"height":0},100);

		$('.top-bar.mobile li.menu-item-has-children > a').on('click', function(e) {
			e.preventDefault();
			
			$(this).parent().toggleClass("active");
			$(this).next("ul").slideToggle();
		});
	});
	
// On window resize
    $(window).on('resize', function() {		
		var main_w = $('#main').width(),
			content_w = $('#main .post-content').width(),			
			top_bar_mobile_h = $('.mobile.top-bar').outerHeight(),
			top_bar_desktop_h = $('.desktop.top-bar').outerHeight(),
			footer_h = $('#site-footer').outerHeight(),
			central_wrapper = $('#central-wrapper'),
			latest_main_w,
			latest_content_w;
		
	// Central wrapper
		if( window.innerWidth < 1180 ) {
			central_wrapper.css({"min-height":window.innerHeight-top_bar_mobile_h-footer_h-10});
		}
		
		if( window.innerWidth >= 1180 ) {
			central_wrapper.css({"min-height":window.innerHeight-top_bar_desktop_h-footer_h-14});
		}
	
	// Enlarge images and galleries
		$("#main img.size-daze_wrapper_width").each(function(){
			$(this).css({"width":main_w}).addClass('reveal');
			
			if ( $(this).parents("figure").length == 1 ) { 
				$(this).parent("figure").addClass("size-daze_wrapper_width").css({"width":main_w}).addClass('reveal');
			}
		});
		
		$(".featured-area .gallery-slider").find(".slick-track").css({ "height":$(".featured-area .gallery-slider").width()*daze_gall_ratio });
		
		$("article:not(.enlarge-galleries) .post-content .gallery-slider").find(".slick-track").css({ "height":content_w*daze_gall_ratio });
		
		$(".enlarge-galleries .post-content .gallery-slider").css({ "width":main_w }).addClass('reveal');
		$(".enlarge-galleries .post-content .gallery-slider").find(".slick-track").css({ "height":main_w*daze_gall_ratio });
		
		latest_main_w = $('.latest-enlarged').width();
		latest_content_w = $('.latest-enlarged').find('.post-content').width();
		$(".latest-enlarged img.size-daze_wrapper_width").each(function(){
			
			$(this).css({ "width":latest_main_w }).addClass('reveal');
			
			if ( $(this).parents("figure").length == 1 ) { 
				$(this).parent("figure").addClass("size-daze_wrapper_width").css({ "width":latest_main_w }).addClass('reveal');
			}
		});
		
		$(".latest-enlarged .enlarge-galleries .post-content .gallery-slider").css({ "width":latest_main_w }).addClass('reveal');
		$(".latest-enlarged .post-content .gallery-slider").find(".slick-track").css({ "height":latest_content_w*daze_gall_ratio });		
		
		$(".gallery-slider").find(".slick-arrow").css({ "top":$(".gallery-slider").find(".slick-track").height()/2 });
		
	// Embedded media			
		$(".enlarge-media .post-content iframe").each(function(){
			var iframeSRC = $(this).attr("src");
			
			if ( iframeSRC.indexOf("vine.co") >= 0 ) {
				$(this).attr({"width":content_w}).css({"margin-left":0});
				
			} else if( $(this).parents('.latest-enlarged').length > 0 ) {
				$(this).attr({"width":latest_main_w});
				
			} else {
				$(this).attr({"width":main_w});
			}
		});
		
		$( ".main-holder" ).find("iframe").each( function() {
			$(this).iframe_size();
		} );
		
	// Mobile menu overlay
		if( window.innerWidth < 1180 ) {
			var mobile_top_bar_W = $(".top-bar.mobile").outerWidth(),
				mobile_top_bar_H = $(".top-bar.mobile").outerHeight(),
				menu_overlay_H = window.innerHeight - mobile_top_bar_H - 9;
				
			mobile_top_search.addClass('animated-bgr').css({"width":mobile_top_bar_W - 140});
			
			$('.top-bar.mobile .menu-overlay.active').animate({"height":menu_overlay_H},300);
		}
		
	// Main menu dropdown
		if( window.innerWidth >= 1180 ) {
			$('#site-header .main-menu a + .sub-menu').each(function(){
				$(this).css({"margin-left":-$(this).width()/2});
			});

			$('#site-header .sub-menu a + .sub-menu').each(function(){
				$(this).css({"margin-left":0});
			});
		}
    }).trigger('resize');
});