<?php
/* ==========================================================================
	Post articles, template part displayed on masonry list
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
	$post_format = get_post_format();
	$show_cat = daze_posts_get_meta( 'daze_posts_show_cat' );
	$show_date = daze_posts_get_meta( 'daze_posts_show_date' );
	$show_comments_count = daze_posts_get_meta( 'daze_posts_show_comments_count' );
	$show_author = daze_posts_get_meta( 'daze_posts_show_author' );
	
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="featured-area"><?php
		global $wp_embed;
		
		if( function_exists( 'daze_featured_area_get_meta' ) ) :
			$featured_video = daze_featured_area_get_meta( 'daze_featured_video_url' );
			$featured_audio = daze_featured_area_get_meta( 'daze_featured_audio_url' );
			$featured_gallery = daze_featured_area_get_meta( 'daze_featured_gallery' );
				
			switch( $post_format ) :
				case 'video':
					if( has_post_thumbnail() ) :
				?>
					<div class="featured-img">
						<a href="<?php echo get_permalink(); ?>"><?php echo daze_giffy_featured_img( get_the_ID(), 'medium_large' ); ?></a>
						<div class="overlay"></div>
					</div>
				<?php
					elseif( $featured_video && ( 0 === strpos( $featured_video, 'http' ) ) && !in_array( "cover-item", get_post_class() ) ) :
				?>
					<div class="featured-media video"><?php echo $wp_embed->run_shortcode('[embed]' . esc_url( $featured_video ) . '[/embed]'); ?></div>
				<?php
					endif;
					break;
					
				case 'audio':
					if( has_post_thumbnail() ) :
				?>
					<div class="featured-img">
						<a href="<?php echo get_permalink(); ?>"><?php echo daze_giffy_featured_img( get_the_ID(), 'medium_large' ); ?></a>
						<div class="overlay"></div>
					</div>
				<?php
					elseif( $featured_audio && ( 0 === strpos( $featured_audio, 'http' ) ) && !in_array( "cover-item", get_post_class() ) ) :
				?>
					<div class="featured-media audio"><?php echo $wp_embed->run_shortcode('[embed]' . esc_url( $featured_audio ) . '[/embed]'); ?></div>
				<?php
					endif;
					break;
					
				case 'gallery':
					if( has_post_thumbnail() ) :
				?>
					<div class="featured-img">
						<a href="<?php echo get_permalink(); ?>"><?php echo daze_giffy_featured_img( get_the_ID(), 'medium_large' ); ?></a>
						<div class="overlay"></div>
					</div>
				<?php
					elseif( $featured_gallery && !in_array( "cover-item", get_post_class() ) ) :					
				
						$get_gallery_imgs = explode(', ', $featured_gallery);
						
						if( $get_gallery_imgs == [""] ) {
							$get_gallery_imgs = [];
						}
						
						$num_of_gallery_imgs = sizeof( $get_gallery_imgs );
						$gallery_limit = 9;
						
						if( $num_of_gallery_imgs < 9 ) {
							if( $num_of_gallery_imgs < 3 ) {
								$gallery_limit = $num_of_gallery_imgs;
								
							} else if( $num_of_gallery_imgs > 2 && $num_of_gallery_imgs < 6 ) {
								$gallery_limit = 3;
								
							} else if( $num_of_gallery_imgs > 5 ) {
								$gallery_limit = 6;
							}
						}				
						?>
						<div class="featured-gallery">
							<a class="clearfix" href="<?php echo esc_url( get_permalink() ); ?>">
						<?php				
							if( is_array( $get_gallery_imgs ) ) {
								$i = 0;
								
								while( $i < $gallery_limit ) :
								?>						
								<div class="img-wrapper">
									<div class="overlay-wrapper">
										<?php
											echo wp_get_attachment_image( $get_gallery_imgs[$i], 'daze_small' );
											if( $i == $gallery_limit-1 && $num_of_gallery_imgs > $gallery_limit) :
										?>
										
										<div class="overlay va-middle">
											<span class="see-all"><?php
												echo absint( $num_of_gallery_imgs );
											?></span>
										</div>
										<?php
											endif;
										?>
									</div>
								</div>
								<?php
									$i++;
								endwhile;
							}
							?>
							</a>
						</div>
					<?php
					endif;
					break;
					
				default:
					if( has_post_thumbnail() ) {
				?>
					<div class="featured-img">
						<a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo daze_giffy_featured_img( get_the_ID(), 'medium_large' ); ?></a>
						<div class="overlay"></div>
					</div>
				<?php
					}
					
			endswitch;
			
		else :
			if( has_post_thumbnail() ) {
		?>
			<div class="featured-img">
				<a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo daze_giffy_featured_img( get_the_ID(), 'medium_large' ); ?></a>
				<div class="overlay"></div>
			</div>
		<?php
			}
		endif;
	?></div><!-- .featured-area -->
	
	<header class="post-header shareable-selections">
	<?php
	if( daze_is_categorized( get_the_ID() ) ) :
		if( daze_is_categorized( get_the_ID() ) && $show_cat ) :
	?>
		<h6 class="post-category"><?php daze_post_categories( get_the_ID() ); ?></h6>
	<?php
		endif;
	endif;
	
// Link Post Format	
	if( $post_format === "link" ) {
	?>		
		<h3>
			<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>"><?php
				echo wp_kses(
					daze_highlight_searched_terms( get_the_title() ),
					array( 'span' => array( 'class' => array() ) )
				);
			?></a>
		</h3>
	<?php		
		echo daze_post_format_icon( get_the_ID() );
		
		if( function_exists( 'daze_featured_area_get_meta' ) ) {
			$featured_link = daze_featured_area_get_meta( 'daze_featured_link' );
		?><a class="featured-link" href="<?php echo esc_url( $featured_link ); ?>" target="_blank"><?php
				echo wp_kses(
					daze_highlight_searched_terms( $featured_link ),
					array( 'span' => array( 'class' => array() ) )
				);
		?></a>	
		<?php
		}
	}	
// Quote Post Format
	else if( $post_format === "quote" ) {
		if( function_exists( 'daze_featured_area_get_meta' ) ) {
			$featured_quote = daze_featured_area_get_meta( 'daze_featured_quote' );
		?>		
			<h3>
				<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>" target="_blank">&ldquo;<?php
					echo wp_kses(
						daze_highlight_searched_terms( $featured_quote ),
						array( 'span' => array( 'class' => array() ) )
					);
				?>&rdquo;</a>
			</h3>			
		<?php
				
			if( $featured_quote_author = daze_featured_area_get_meta( 'daze_featured_quote_author' ) ) {
			?>
				<span class="featured-quote-author">&mdash;<?php
					echo wp_kses(
						daze_highlight_searched_terms( $featured_quote_author ),
						array( 'span' => array( 'class' => array() ) )
					);
				?></span>
			<?php
			}
		} else {
		?>		
			<h3>
				<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>"><?php
					echo wp_kses(
						daze_highlight_searched_terms( get_the_title() ),
						array( 'span' => array( 'class' => array() ) )
					);
				?></a>
			</h3>
		<?php
			echo daze_post_format_icon( get_the_ID() );
		}
	}
	
// Standard Post Format
	else {
	?>
		<h3>
			<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>"><?php
				echo wp_kses(
					daze_highlight_searched_terms( get_the_title() ),
					array( 'span' => array( 'class' => array() ) )
				);
			?></a>
		</h3>		
	<?php
	}
	
// Edit
	edit_post_link(
		esc_html__( 'Edit this post', 'daze' ),
		'<div class="clearfix"></div><span class="edit-link button-link">',
		'</span>'
	);
	?>	
	</header><!-- .post-header -->
	
<?php
	if( !in_array( "cover-item", get_post_class() ) ) :
		get_template_part( 'template-parts/content', 'excerpt' );
		
		if( $show_date || $show_comments_count || $show_author ) :
		?>
		<div class="post-meta">
		<?php
			if( $show_author ) :
		?>
			<a class="author-name" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ); ?>">
				<?php echo esc_html( get_the_author_meta( "nickname" ) ); ?>
			</a>
		<?php
			endif;
			
			if( $show_date ) :				
				if( $show_author )
					echo '<span class="separator"></span> ';
				
				echo date_i18n( get_option( 'date_format' ), strtotime( $post->post_date ) );
			endif;
			
			if( $show_comments_count ) :
				if( $show_author || $show_date )
					echo '<span class="separator"></span>';				
				
				comments_popup_link( '<span><span class="icon comments-cloud"></span><span class="comments-count">0</span></span>', '<span><span class="icon comments-cloud"></span><span class="comments-count">1</span></span>', '<span><span class="icon comments-cloud"></span><span class="comments-count">%</span></span>', '', esc_html__( 'Comments are closed.', 'daze' ) );				
			endif;
		?>
		</div>
		<?php
		endif;		
	endif;	
	?>
</article>