<?php
/* ==========================================================================
	Post articles, template part displayed on tiny list
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
	$show_cat = daze_posts_get_meta( 'daze_posts_show_cat' );
	$show_date = daze_posts_get_meta( 'daze_posts_show_date' );
	$show_comments_count = daze_posts_get_meta( 'daze_posts_show_comments_count' );
	$show_author = daze_posts_get_meta( 'daze_posts_show_author' );
	
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="thumb">
	<?php
		$post_thumb = daze_post_format_icon( get_the_ID() );
		
		if ( has_post_thumbnail( get_the_ID()) ) {
			$post_thumb = get_the_post_thumbnail( get_the_ID(), 'daze_small' );
			
		} else if( get_post_format(get_the_ID()) == 'gallery' ) {
			$featured_gallery = get_post_meta( get_the_ID(), 'daze_featured_gallery', true );
			$get_gallery_imgs = explode(', ', $featured_gallery);
			
			if( $get_gallery_imgs == [""] ) {
				$get_gallery_imgs = [];
			}
			
			if( is_array( $get_gallery_imgs ) && !empty( $get_gallery_imgs ) ) {
				$post_thumb = wp_get_attachment_image( $get_gallery_imgs[0], 'daze_small' );								
			}
		}
	?>
		<a href="<?php echo esc_url( get_permalink( get_the_ID() ) ); ?>"><?php echo $post_thumb; ?></a>
	</div>
	
	<div class="content">
		<header>
		<?php
			$post_title = get_the_title();
			if ( strlen( $post_title) > 59 ) {
				$post_title = substr( $post_title, 0, 56 );
				$post_title .= '...';
			}
		?>
			<a href="<?php echo esc_url( get_permalink( get_the_ID() ) ); ?>"><h6><?php echo esc_html( $post_title ); ?></h6></a>
		</header>
		
		<footer>
			<?php
				if( $show_date ) {
					echo esc_html( get_the_date() );
				}
				
				if( comments_open( get_the_ID() ) && $show_comments_count ) {
					if( $show_date ) {
						echo '<span class="separator"></span> ';
					}
					
					$n = get_comments_number();
					
					printf(
						'<span class="icon comments-cloud"></span><span class="comments-count">%d</span>',
						absint($n)
					);
				}
				
				if( $show_author && is_author() ) {
					if( $show_date || $show_comments_count ) {
						echo '<span class="separator"></span> ';
					}
					
					is_rtl()
					? printf(
						'<a class="author-name" href="%2$s">%3$s</a> %1$s',
						esc_html_x( 'by', 'preposition, before the name of the author', 'daze' ),
						esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ),
						esc_html( get_the_author_meta( "nickname" ) )
					)
					: printf(
						'%1$s <a class="author-name" href="%2$s">%3$s</a>',
						esc_html_x( 'by', 'preposition, before the name of the author', 'daze' ),
						esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ),
						esc_html( get_the_author_meta( "nickname" ) )
					);
				}
				
			?>
		</footer>
	</div>
</article>