<?php
/* =======================================================================================================
	Featured area, template part for displaying featured area on standard lists and single posts
	Daze - Premium WordPress Theme, by NordWood
====================================================================================================== */

	$post_format = get_post_format();
?>
	<div class="featured-area">
	<?php
		if( function_exists( 'daze_featured_area_get_meta' ) ) {
			$featured_video = daze_featured_area_get_meta( 'daze_featured_video_url' );
			$featured_audio = daze_featured_area_get_meta( 'daze_featured_audio_url' );
			$featured_gallery = daze_featured_area_get_meta( 'daze_featured_gallery' );
			
			global $wp_embed;
				
			switch( $post_format ) :
				case 'video':
					if( $featured_video && ( 0 === strpos( $featured_video, 'http' ) ) ) {
				?>
					<div class="featured-media video"><?php echo $wp_embed->run_shortcode('[embed]' . $featured_video . '[/embed]'); ?></div>
				<?php
					}
					break;
					
				case 'audio':					
					if( $featured_audio && ( 0 === strpos( $featured_audio, 'http' ) ) ) {
				?>
					<div class="featured-media audio"><?php echo $wp_embed->run_shortcode('[embed]' . $featured_audio . '[/embed]'); ?></div>
				<?php
					}
					break;
					
				case 'gallery':				
					if( $featured_gallery ) {
						echo do_shortcode( '[gallery include="' . $featured_gallery . '"]' );
					}
					break;
					
				default:
					if( has_post_thumbnail() && !( $featured_video || $featured_audio ) ) {
				?>
					<div class="featured-img"><?php echo daze_giffy_featured_img( get_the_ID(), 'size-daze_wrapper_width' ); ?></div>
				<?php
					}
			endswitch;
			
		} else if( has_post_thumbnail() ) {
		?>
			<div class="featured-img"><?php echo daze_giffy_featured_img( get_the_ID(), 'size-daze_wrapper_width' ); ?></div>
		<?php
		}
	?>
	</div>
	