<?php
/* ==========================================================================
	Post header, template part for a full header display
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
	$post_format = get_post_format();
	
	$show_cat = is_single() || ( is_home() && ( "standard-list" === get_theme_mod( 'daze_blog_layout_type' ) ) && ( "full-posts" === get_theme_mod( 'daze_post_length' ) ) )
		? ( get_theme_mod('daze_show_category') || daze_posts_get_meta( 'daze_posts_show_cat' ) )
		: daze_posts_get_meta( 'daze_posts_show_cat' );
		
	$show_date = is_single() || ( is_home() && ( "standard-list" === get_theme_mod( 'daze_blog_layout_type' ) ) && ( "full-posts" === get_theme_mod( 'daze_post_length' ) ) )
		? ( get_theme_mod('daze_show_date') || daze_posts_get_meta( 'daze_posts_show_date' ) )
		: daze_posts_get_meta( 'daze_posts_show_date' );
		
	$show_comments_count = is_single() || ( is_home() && ( "standard-list" === get_theme_mod( 'daze_blog_layout_type' ) ) && ( "full-posts" === get_theme_mod( 'daze_post_length' ) ) )
		? ( get_theme_mod('daze_show_comments') || daze_posts_get_meta( 'daze_posts_show_comments_count' ) )
		: daze_posts_get_meta( 'daze_posts_show_comments_count' );
		
	$show_author = is_single() || ( is_home() && ( "standard-list" === get_theme_mod( 'daze_blog_layout_type' ) ) && ( "full-posts" === get_theme_mod( 'daze_post_length' ) ) )
		? ( get_theme_mod('daze_show_author_name') || daze_posts_get_meta( 'daze_posts_show_author' ) )
		: daze_posts_get_meta( 'daze_posts_show_author' );
?>
	<header class="post-header shareable-selections">
<?php
	if( daze_is_categorized( get_the_ID() ) && $show_cat ) {
?>
		<h6 class="post-category"><?php daze_post_categories( get_the_ID() ); ?></h6>
<?php
	}
	
// Link Post Format	
	if( $post_format === "link" ) {
	?>		
		<h3>
			<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>"><?php
				echo wp_kses(
					daze_highlight_searched_terms( get_the_title() ),
					array( 'span' => array( 'class' => array() ) )
				);
			?></a>
		</h3>			
	<?php
		echo daze_post_format_icon( get_the_ID() );
		
		if( function_exists( 'daze_featured_area_get_meta' ) ) {
			if( $featured_link = daze_featured_area_get_meta( 'daze_featured_link' ) ) {
			?>
				<a class="featured-link" href="<?php echo esc_url( $featured_link ); ?>" target="_blank"><?php
					echo wp_kses(
						daze_highlight_searched_terms( $featured_link ),
						array( 'span' => array( 'class' => array() ) )
					);
				?></a>
			<?php
			}
		}
	
// Quote Post Format
	} else if( $post_format === "quote" ) {
	
		if( function_exists( 'daze_featured_area_get_meta' ) ) {
			if( $featured_quote = daze_featured_area_get_meta( 'daze_featured_quote' ) ) {
				?>	
				<h3>
					<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>" target="_blank">&ldquo;<?php
						echo wp_kses(
							daze_highlight_searched_terms( $featured_quote ),
							array( 'span' => array( 'class' => array() ) )
						);
					?>&rdquo;</a>
				</h3>	
				<?php
				echo daze_post_format_icon( get_the_ID() );
				
				if( $featured_quote_author = daze_featured_area_get_meta( 'daze_featured_quote_author' ) ) {
				?>
					<span class="featured-quote-author">&mdash;<?php
						echo wp_kses(
							daze_highlight_searched_terms( $featured_quote_author ),
							array( 'span' => array( 'class' => array() ) )
						);
					?></span>
				<?php
				}
			}
		} else {
		?>		
			<h3>
				<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>" target="_blank">&ldquo;<?php
					echo wp_kses(
						daze_highlight_searched_terms( get_the_title() ),
						array( 'span' => array( 'class' => array() ) )
					);
				?>&rdquo;</a>
			</h3>	
		<?php
			echo daze_post_format_icon( get_the_ID() );
		}
		
// Standard Post Format
	} else {
?>
	<h1>
		<a class="post-title" href="<?php echo esc_url( get_permalink() ); ?>"><?php
		echo wp_kses(
			daze_highlight_searched_terms( get_the_title() ),
			array( 'span' => array( 'class' => array() ) )
		);
		?></a>
	</h1>
<?php
	}
	
	if( $show_date || $show_comments_count || $show_author ) {
?>
		<div class="post-meta">
	<?php
		if( $show_date ) {
			echo date_i18n( get_option( 'date_format' ), strtotime( $post->post_date ) );
		}
		
		if( $show_comments_count ) {
			if( $show_date ) {
				echo '<span class="separator"></span>';
			}			

			comments_popup_link( '<span><span class="icon comments-cloud"></span><span class="comments-count">0</span></span>', '<span><span class="icon comments-cloud"></span><span class="comments-count">1</span></span>', '<span><span class="icon comments-cloud"></span><span class="comments-count">%</span></span>', '', esc_html__( 'Comments are closed.', 'daze' ) );		
		}
		
		if( $show_author ) {
			if( $show_date || $show_comments_count ) {
				echo '<span class="separator"></span> ';
			}
					
			is_rtl()
			? printf(
				'<a class="author-name" href="%2$s">%3$s</a> %1$s',
				esc_html__( 'Posted by', 'daze' ),
				esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ),
				esc_html( get_the_author_meta( "nickname" ) )
			)
			: printf(
				'%1$s <a class="author-name" href="%2$s">%3$s</a>',
				esc_html__( 'Posted by', 'daze' ),
				esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ),
				esc_html( get_the_author_meta( "nickname" ) )
			);
		}
	?>
		</div>
<?php
	}
			
	// Edit
		edit_post_link(
			esc_html__( 'Edit this post', 'daze' ),
			'<div class="clearfix"></div><span class="edit-link button-link">',
			'</span>'
		);
?>
	</header><!-- .post-header -->